Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30753)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30754)
@@ -11,5 +11,5 @@
 </Title>
 <MajorVersion number="2"><Version current="2.86"/></MajorVersion>
-<MajorVersion number="3"><Version current="3.07"/></MajorVersion>
+<MajorVersion number="3"><Version current="3.08"/></MajorVersion>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -507,5 +507,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -524,5 +524,5 @@
   <MajorVersion number="3">
     <Menu>
-      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone Librarian Interface (GLI)</Text>
+      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Librarian Interface (GLI)</Text>
     </Menu>
   </MajorVersion>
@@ -615,5 +615,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -769,5 +769,5 @@
 <SampleFiles folder="images_gps"/>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>
@@ -864,5 +864,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -973,5 +973,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -1236,5 +1236,5 @@
 <SampleFiles folder="pdfbox"/>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.07"/>
+<Version initial="2.85|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -1281,5 +1281,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70|3.06" current="2.86|3.07"/>
+<Version initial="2.70|3.06" current="2.86|3.08"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good. This exercise explores some extra options to the PDF plugin which may produce a nicer version for display.</Text>
@@ -1312,5 +1312,5 @@
 <Text id="ep-7"><b>Build</b> and <b>preview</b> the collection. View the text versions of some of the PDF documents. <MajorVersion number="2">Note that these are now split into a series of pages, and a "go to page" box is provided. 
 </MajorVersion>
-<MajorVersion number="3">Note that these are now split into a series of pages, and a table of contents is provided to the right. Clicking on a page in the table of contents will scroll to that page. The other way of navigating is on the left, where individual pages are listed vertically by page number and clicking the "plus" box next to a page will expand its contents.
+<MajorVersion number="3">Note that these are now split into a series of pages, and a table of contents is provided to the right. Clicking on a page in the table of contents will scroll to that page. Another way of navigating can be found to the left, where individual pages are listed vertically by page number and clicking the "plus" box next to a page will expand its contents.
 </MajorVersion>
 <MajorVersion number="2">The format is still a bit ugly though, and</MajorVersion><MajorVersion number="3">Note that</MajorVersion> pdf05-notext.pdf is still not processed.</Text>
@@ -1496,5 +1496,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1620,5 +1620,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.07"/>
+<Version initial="2.85|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -1808,5 +1808,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -1870,5 +1870,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -1979,5 +1979,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <NumberedItem>
@@ -2287,5 +2287,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Content>
 <NumberedItem>
@@ -2363,5 +2363,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -2405,5 +2405,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <NumberedItem>
@@ -2454,5 +2454,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -2726,5 +2726,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -3064,5 +3064,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.05" current="3.07"/>
+<Version initial="3.05" current="3.08"/>
 <Content>
 <Comment>
@@ -3073,5 +3073,5 @@
 </Heading>
 <NumberedItem>
-<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
+<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3194,5 +3194,5 @@
 <SampleFiles folder="custom"/>
 <Prerequisite id="using_themes"/>
-<Version initial="3.05" current="3.07"/>
+<Version initial="3.05" current="3.08"/>
 <Content>
 <Comment>
@@ -3276,5 +3276,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <NumberedItem>
@@ -3330,5 +3330,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -3862,5 +3862,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4202,5 +4202,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70|3.06" current="2.86|3.07"/>
+<Version initial="2.70|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4333,5 +4333,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4523,5 +4523,5 @@
 </Title>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.07"/>
+<Version initial="2.85|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4659,5 +4659,5 @@
 </Title>
 <Prerequisite id="GS_OAI_server"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4938,5 +4938,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60|3.06" current="2.86|3.07"/>
+<Version initial="2.60|3.06" current="2.86|3.08"/>
 <Content>
 <Comment>
@@ -4989,5 +4989,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -4997,5 +4997,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
+<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
 <Text id="gems-5a">(If you're on Linux, use a terminal to run the <Command>gli/gems.sh</Command> start-up script.) </Text>
 </NumberedItem>
@@ -5031,5 +5031,5 @@
 </Title>
 <MajorVersion number="2"><SampleFiles folder="demo"/></MajorVersion>
-<Version initial="2.70w|3.06" current="2.86|3.07"/>
+<Version initial="2.70w|3.06" current="2.86|3.08"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
@@ -5302,5 +5302,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>
@@ -5308,5 +5308,5 @@
 </Comment>
 <NumberedItem>
-<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.07 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
+<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.08 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
 </NumberedItem>
 <Heading>
@@ -5538,5 +5538,5 @@
 </Title>
 <SampleFiles folder="libraries"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>
@@ -5550,5 +5550,5 @@
 </Heading>
 <NumberedItem>
-<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.07 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
+<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.08 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
 
 <Text id="dl-03">Change the url from <i>http://localhost:8383/greenstone3/library</i> to <i>http://localhost:8383/greenstone3/halftone-library</i> and reload the page. This is another library that is defined by Greenstone3. Again, the site it uses is <b>localsite</b>, but this library (called <b>halftone-library</b>) uses the <b>halftone</b> interface, which is based on the Greenstone2 layout. Let's take a look at where these libraries are defined.</Text>
@@ -5712,5 +5712,5 @@
 </Title>
 <SampleFiles folder="interfaces"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>
@@ -5826,5 +5826,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface1"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>
@@ -6028,5 +6028,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface2"/>
-<Version initial="3.06" current="3.07"/>
+<Version initial="3.06" current="3.08"/>
 <Content>
 <Comment>