Index: main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 30771)
+++ main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 30772)
@@ -117,10 +117,11 @@
 	}
 
-	//show the help message if there are no berries
+	//show/hide the help message depending if there are berries or not
+        var help_elem = YAHOO.util.Dom.get('berryHelpMsg');
+    
 	if ( berryList.length == 0 ) {
-		var berryHelpMsg = document.createElement('span');
-		berries.appendChild(berryHelpMsg);
-		berryHelpMsg.appendChild(document.createTextNode('Drag & drop berries here to add documents to your Berry Basket'));
-		berryHelpMsg.setAttribute('id','berryHelpMsg');
+	    help_elem.style.display='block';
+	} else {
+	    help_elem.style.display='none';
 	}
 
@@ -226,8 +227,6 @@
 	berryBasket.className = "show";
 
-	//put the full view link in
-	var fullView = document.createElement('a');
-	berries.appendChild(fullView);
-	
+	//set url and show full view link
+        var fullView = YAHOO.util.Dom.get('berryFullViewLink');
 	//Find the collection in the cgi parameters
 	var url = window.location.href;
@@ -244,7 +243,6 @@
 	}
 	
-	fullView.appendChild(document.createTextNode('Full View Â»'));
 	fullView.setAttribute("href",gs.xsltParams.library_name + "?a=g&sa=berry&c=&s=DisplayList&rt=r&p.c=" + collectionName);
-	fullView.setAttribute("id","berryFullViewLink");
+        fullView.style.display='block';
 
 	//toggle expand/collapse links
@@ -288,5 +286,7 @@
 		collapseLink.style.display = 'none';
 	}
-	
+    // hide full view link
+	var fullView = YAHOO.util.Dom.get('berryFullViewLink');
+    fullView.style.display='none';
 }
 
Index: main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 30771)
+++ main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 30772)
@@ -1,8 +1,6 @@
 var _imageZoomEnabled = false;
-// Choose which types of filtering you want: sectionnum, or sectiontitle.
+// Choose which types of filtering you want: sectionnum, or sectiontitle or both
 var _filter_on_types = ["sectiontitle", "sectionnum"];
-// the text strings for the two radio buttons
-var _filter_on_num_text = "pagenum";
-var _filter_on_title_text = "title";
+
 // are titles numeric match?
 var _filter_title_numeric = false;
@@ -18,8 +16,6 @@
 /* Here you can choose which save buttons you like. Choose from 'save', 'rebuild', 'saveandrebuild' */
 var save_and_rebuild_buttons = ["saveandrebuild"];
-
-var save_button_text = "Save changes";
-var rebuild_button_text = "Rebuild";
-var save_and_rebuild_button_text = "Save and Rebuild";
+//var save_and_rebuild_buttons = ["save", "rebuild", "saveandrebuild"];
+
 
 /*Array to store init states of metadata fields and text*/
@@ -752,11 +748,11 @@
   else if (_filter_on_types.length == 1) {
     if (_filter_on_types[0] == "sectionnum") {
-      button_div.html("(<input type='radio' name='filterOn' value='num' checked>"+_filter_on_num_text+"</input>)");
+      button_div.html("(<input type='radio' name='filterOn' value='num' checked>"+gs.text.doc.filter.pagenum+"</input>)");
     } else {
-      button_div.html("(<input type='radio' name='filterOn' value='title' checked>"+_filter_on_title_text+"</input>)");
+      button_div.html("(<input type='radio' name='filterOn' value='title' checked>"+gs.text.doc.filter.title+"</input>)");
     }
   } else {
     // should be both options
-    button_div.html("<input type='radio' name='filterOn' value='num' checked>"+_filter_on_num_text+"</input><input type='radio' name='filterOn' value='title'>"+_filter_on_title_text+"</input>");
+    button_div.html("<input type='radio' name='filterOn' value='num' checked>"+gs.text.doc.filter.pagenum+"</input><input type='radio' name='filterOn' value='title'>"+gs.text.doc.filter.title+"</input>");
   }
 }
@@ -1368,15 +1364,15 @@
 	    var saveButton = $("<button>", {"id": "saveButton", "class": "ui-state-default ui-corner-all"});
 	    saveButton.click(save);
-	    saveButton.html(save_button_text);
+	    saveButton.html(gs.text.de.save);
 	    editBar.append(saveButton);
 	  } else if(button_type == "rebuild") {
 	    var rebuildButton = $("<button>", {"id": "rebuildButton", "class": "ui-state-default ui-corner-all"});
 	    rebuildButton.click(rebuildCurrentCollection);
-	    rebuildButton.html(rebuild_button_text);
+	    rebuildButton.html(gs.text.de.rebuild);
 	    editBar.append(rebuildButton);
 	  } else if (button_type == "saveandrebuild") {
 	    var saveAndRebuildButton = $("<button>", {"id": "saveAndRebuildButton", "class": "ui-state-default ui-corner-all"});
 	    saveAndRebuildButton.click(saveAndRebuild);
-	    saveAndRebuildButton.html(save_and_rebuild_button_text);
+	    saveAndRebuildButton.html(gs.text.de.saverebuild);
 	    editBar.append(saveAndRebuildButton);
 
@@ -1461,5 +1457,5 @@
 */
   if (metadataChanges.length ==0) {
-    console.log ("... No changes detected. ");
+      console.log(gs.text.de.no_changes);
     return;
   }