Index: /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 30778)
+++ /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 30779)
@@ -411,5 +411,5 @@
     
     //Add the "Expand document"/"Collapse document" links
-    newTOC = "<table style=\"width:100%; text-align:center;\"><tr><td><a href=\"javascript:expandOrCollapseAll(true);\">Expand document</a></td><td><a href=\"javascript:expandOrCollapseAll(false);\">Collapse document</a></td></tr></table>" + newTOC;
+    newTOC = "<table style=\"width:100%; text-align:center;\"><tr><td><a href=\"javascript:expandOrCollapseAll(true);\">"+gs.text.doc.expand_doc+"</a></td><td><a href=\"javascript:expandOrCollapseAll(false);\">"+gs.text.doc.collapse_doc+"</a></td></tr></table>" + newTOC;
     
     //Collapse the TOC
@@ -625,5 +625,5 @@
 {
     var tableOfContents = $("#tableOfContents");
-    var table = "<table style=\"width:100%; text-align:center;\"><tr><td><a href=\"javascript:expandOrCollapseAll(true);\">Expand document</a></td><td><a href=\"javascript:expandOrCollapseAll(false);\">Collapse document</a></td></tr></table>" ;
+    var table = "<table style=\"width:100%; text-align:center;\"><tr><td><a href=\"javascript:expandOrCollapseAll(true);\">"+gs.text.doc.expand_doc+"</a></td><td><a href=\"javascript:expandOrCollapseAll(false);\">"+gs.text.doc.collapse_doc+"</a></td></tr></table>" ;
     
    tableOfContents.prepend(table);
@@ -1239,6 +1239,6 @@
 	var linkSpan = $("<span>", {"class": "ui-state-default ui-corner-all", "style": "padding: 2px; float:left;"});
 	
-	var linkLabel = $("<span>edit metadata</span>");	
-	var linkIcon = $("<span>", {"class": "ui-icon ui-icon-folder-collapsed"});
+        var linkLabel = $("<span>"+gs.text.de.edit_metadata+"</span>");
+ 	var linkIcon = $("<span>", {"class": "ui-icon ui-icon-folder-collapsed"});
 	newCell.linkIcon = linkIcon;
 	newCell.linkLabel = linkLabel;
@@ -1258,5 +1258,5 @@
 		if(metaTable.css("display") == "none")
 		{
-			linkLabel.html("hide metadata");
+		    linkLabel.html(gs.text.de.hide_metadata);
 			linkIcon.attr("class", "ui-icon ui-icon-folder-open");
 			metaTable.css("display", "block");
@@ -1266,5 +1266,5 @@
 		else
 		{
-			linkLabel.html("edit metadata");
+		    linkLabel.html(gs.text.de.edit_metadata);
 			linkIcon.attr("class", "ui-icon ui-icon-folder-collapsed");
 			metaTable.css("display", "none");
@@ -1288,10 +1288,10 @@
 	if(visible)
 	{
-		$("#editContentButton").html("Hide editor");
+	    $("#editContentButton").html(gs.text.de.hide_editor); 
 		$("#editContentButtonDiv").attr("class", "ui-state-default ui-corner-all");
 	}
 	else
 	{
-		$("#editContentButton").html("Edit content");
+	    $("#editContentButton").html(gs.text.de.edit_content); 
 		$("#editContentButtonDiv").attr("class", "");
 	}
@@ -1303,5 +1303,5 @@
 	{
 		$(this).css("display", visibility);
-		$(this.linkLabel).html("edit metadata");
+	    $(this.linkLabel).html(gs.text.de.edit_metadata); 
 		$(this.linkIcon).attr("class", "ui-icon ui-icon-folder-collapsed");
 	});
@@ -1322,5 +1322,5 @@
   Use in conjunction with the dynamic_metadata_set_list variable. */
 function setStaticMetadataSets(list) {
-  addOptionToList(list, "All", "All");
+  addOptionToList(list, "All", gs.text.de.all_metadata);
 }
 
@@ -1345,5 +1345,5 @@
 	}
 
-	$("#editContentButton").html("Hide Editor");
+    $("#editContentButton").html(gs.text.de.hide_editor);
 	//wait for 0.5 sec to let ckeditor up 
 	//setTimeout(function(){ $(".sectionText").each(function(){addEditableState(this,editableInitStates);}); }, 500);	
@@ -1354,5 +1354,5 @@
 
 	var metadataListLabel = $("<span>", {"id": "metadataListLabel", "style": "margin-left:20px;"});
-	metadataListLabel.html("Visible metadata: ");
+    metadataListLabel.html(gs.text.de.visible_metadata); 
 	editBar.append(metadataListLabel);
 	editBar.append(visibleMetadataList);