Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties	(revision 30780)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties	(revision 30781)
@@ -44,4 +44,9 @@
 home.select_a_collection=Select a collection
 home.no_collections=This library has no valid collections
+#***** logged in menu
+menu.account_settings=Account settingsx
+menu.enable_edit_mode=Enable edit modex
+menu.disable_edit_mode=Disable edit modex
+menu.logout=Logoutx
 
 ######################
@@ -80,4 +85,10 @@
 query.common=The following terms are too common and have been excluded from the search:
 
+query.results.next=Next
+query.results.previous=Previous
+
+query.facet.less=See less...
+query.facet.more=See more...
+
 ##################
 # prefs page
@@ -92,11 +103,10 @@
 pref.set_prefs=Set preferences
 pref.set_prefs_help=Click "Set preferences" if you want to save your changes.
-pref.berrybasket=Berry basket
-pref.berrybasket.on=on
-pref.berrybasket.off=off
+pref.berrybasket=Berry basket:
+pref.documentbasket=Document basket:
+pref.on=on
+pref.off=off
 pref.book=Book viewer mode: 
-pref.formatedit=Format edit mode
-pref.formatedit.on=on
-pref.formatedit.off=off
+pref.formatedit=Format edit mod:e
 pref.theme=Visual theme
 
@@ -105,20 +115,21 @@
 ##################
 doc.loading=loading
-doc.filter_pages=Filter pages
-
-doc.edit_content=Edit content
-doc.hide_editor=Hide editor
-doc.edit_structure=Edit structure
-
-doc.highlightTooltip=Enable or disable search term highlighting
-doc.realisticBooksTooltip=Enable or disable the realistic books view
-doc.zoomTooltip=Enable or disable zooming images in the standard view
-doc.slideshowTooltip=View a slideshow of the images
-doc.floatingTooltip=Fix the table of contents to the right side of the screen
-
+doc.filter_pages=Filter pagesx
+doc.filter.pagenum=pagenumx
+doc.filter.title=titlex
+doc.highlightTooltip=Enable or disable search term highlightingx
+doc.realisticBooksTooltip=Enable or disable the realistic books viewx
+doc.zoomTooltip=Enable or disable zooming images in the standard viewx
+doc.slideshowTooltip=View a slideshow of the imagesx
+doc.floatingTooltip=Fix the table of contents to the right side of the screenx
+doc.expand_doc=Expand documentx
+doc.collapse_doc=Collapse documentx
 doc.document=Document
 doc.back_to_top=back to top
-
-doc.maps.nearby_docs=Show documents near here
+doc.default_view=Default viewx
+doc.image_view=Image viewx
+doc.text_view=Text viewx
+
+doc.map_nearby_docs=Show documents near here
 maps.scrolllabel=Scroll through places
 
@@ -127,5 +138,26 @@
 external.go_forward=go forward
 
-
+#####################
+#  Document Editing #
+#####################
+
+de.rebuilding_collection=rebuilding collectionx
+de.no_changes=No changes detectedx
+de.save=Save changesx
+de.rebuild=Rebuildx
+de.saverebuild=Save and Rebuildx
+de.extract_pages=Extract these pages to a documentx
+de.visible_metadata=Visible metadatax:
+de.all_metadata=Allx
+de.add_new_metadata=Add new metadatax
+de.no_meta_name_given=No value given for new metadata namex
+de.edit_metadata=edit metadatax
+de.hide_metadata=hide metadatax
+de.edit_content=Edit contentx
+de.hide_editor=Hide Editorx
+de.save_changes=Save changesx
+de.saving=Savingx
+de.enter_meta_name=Enter a metadata name, then click 'Add New Metadata'x
+de.enter_meta_dropdown=Enter a metadata name, or use the down arrow to select one, then click 'Add New Metadata'x
 ##################
 # authentication page
@@ -162,11 +194,34 @@
 
 
+##################
+# RSS page  #
+###################
+rss.page_title=RSS Feed
+
+##############
+# Basket common strings
+####################
+basket.expand=Expand
+basket.collapse=Collapse
+basket.clear=Clear basket
 
 ###################
 # Document basket #
 ###################
-db.doc_basket=Document basket
+db.doc_basket=Document Basket
 db.access_denied=Access Denied
 db.no_collection_building=You cannot use this feature of Greenstone as you do not have collection building enabled
 
 
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title=Berry Basket
+berry.view.full=Full View
+berry.view.text=Text View
+berry.view.email=Email
+berry.help=Drag & drop berries here to add documents to your Berry Basket
+berry.full=Full View Â»
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2.properties	(revision 30780)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2.properties	(revision 30781)
@@ -122,4 +122,5 @@
 # Document structure editor #
 #############################
+dse.edit_structure=Edit structure
 dse.no_docs=No documents in the Document Basket
 dse.untitled=UNTITLED DOCUMENT
@@ -127,9 +128,8 @@
 dse.edit=edit
 dse.hide=hide
+dse.undo=Undo
 dse.add_sub_section=add sub-section
 dse.duplicate=duplicate
 dse.error_saving=There was an error saving, aborting
-dse.save_changes=Save changes
-dse.saving=Saving
 dse.modifying_archives=Modifying archive files
 dse.empty_collection_list=List of collections to build is empty
@@ -149,6 +149,4 @@
 dse.xml_error=There was an error parsing the XML
 dse.browse_cannot_validate_xml=Your browser cannot handle XML validation
-dse.add_new_metadata=Add new metadata
-dse.no_value_given=No value given for new metadata name
 dse.create_new_document=Create new document
 dse.untitled_section=UNTITLED SECTION