Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ru.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ru.properties	(revision 30784)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ru.properties	(revision 30785)
@@ -28,5 +28,4 @@
 ÐžÐž ÑÑÐ°Ð·
 
-
 # search parameters
 param.index:ÐÐ±Ð»Ð°ÑÑÑ Ð¿ÐŸÐžÑÐºÐ°
@@ -43,9 +42,9 @@
 param.case:Ð ÐµÐ³ÐžÑÑÑÐŸÐœÐµÐ·Ð°ÑÐžÑÐžÐŒÐŸÑÑÑ
 param.accent:Ð¡ÐŸÐºÑÑÑÐžÐµ ÐŽÐžÐ°ÐºÑÐžÑÐžÐºÐž Ð¿ÑÐž Ð¿ÐŸÐžÑÐºÐµ
+param.boolean.on:Ð²ÐºÐ»ÑÑÐµÐœÐŸ
+param.boolean.off:Ð²ÑÐºÐ»ÑÑÐµÐœÐŸ
 param.matchMode:Ð¡ÐŸÐ²Ð¿Ð°ÐŽÐµÐœÐžÐµ
 param.matchMode.all:Ð¿ÐŸÐ»ÐœÐŸÐµ
 param.matchMode.some:ÑÐ°ÑÑÐžÑÐœÐŸÐµ
-param.boolean.on:Ð²ÐºÐ»ÑÑÐµÐœÐŸ
-param.boolean.off:Ð²ÑÐºÐ»ÑÑÐµÐœÐŸ
 
 param.level:Ð£ÑÐŸÐ²ÐµÐœÑ Ð¿ÐŸÐžÑÐºÐ°
@@ -74,5 +73,5 @@
 param.fqa:Ð¿ÑÑÑÐ°ÑÑ ÐŽÐžÐ°ÐºÑÐžÑÐžÑÐµÑÐºÐžÐµ Ð·ÐœÐ°ÐºÐž
 
-## levels
+#levels 
 level.document:ÐÐŸÐºÑÐŒÐµÐœÑ
 level.Doc:ÐÐŸÐºÑÐŒÐµÐœÑ
@@ -81,4 +80,7 @@
 level.paragraph:ÐÐ°ÑÐ°Ð³ÑÐ°Ñ
 level.Para:ÐÐ°ÑÐ°Ð³ÑÐ°Ñ
+level.book:ÐºÐœÐžÐ³Ð°
+level.books:ÐºÐœÐžÐ³Ðž
+level.chapter:Ð³Ð»Ð°Ð²Ð°
 level.chapters:ÐÐ»Ð°Ð²Ñ
 
@@ -107,20 +109,16 @@
 param.rnpw:Ð¿ÐŸÐ²ÑÐŸÑÐžÑÐµ ÐœÐŸÐ²ÑÐ¹ Ð¿Ð°ÑÐŸÐ»Ñ
 
-
-
 ## CrossCollectionSearch specific strings
-CrossCollectionSearch.TextQuery.name=ÐÐŸÐžÑÐº Ð¿ÐŸ ÐŒÐœÐŸÐ¶ÐµÑÑÐ²Ñ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
-CrossCollectionSearch.TextQuery.description=ÐÐŸÐžÑÐº Ð¿ÐŸ ÐŒÐœÐŸÐ¶ÐµÑÑÐ²Ñ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
-CrossCollectionSearch.TextQuery.submit=ÐÐŸÐžÑÐº
-CrossCollectionSearch.param.query=Ð¡ÑÑÐŸÐºÐ° Ð·Ð°Ð¿ÑÐŸÑÐ°
-CrossCollectionSearch.param.collection=Ð¡ÐŸÐ±ÑÐ°ÐœÐžÑ ÐŽÐ»Ñ Ð¿ÐŸÐžÑÐºÐ°
-CrossCollectionSearch.param.collection.all=ÐÑÐµ ÑÐŸÐ±ÑÐ°ÐœÐžÑ
-CrossCollectionSearch.param.maxDocs=ÐÐ°ÐºÑÐžÐŒÐ°Ð»ÑÐœÐŸÐµ ÑÐžÑÐ»ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² ÐœÐ° ÑÐŸÐ±ÑÐ°ÐœÐžÐµ
-
+CrossCollectionSearch.TextQuery.name:ÐÐŸÐžÑÐº Ð¿ÐŸ ÐŒÐœÐŸÐ¶ÐµÑÑÐ²Ñ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
+CrossCollectionSearch.TextQuery.description:ÐÐŸÐžÑÐº Ð¿ÐŸ ÐŒÐœÐŸÐ¶ÐµÑÑÐ²Ñ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
+CrossCollectionSearch.TextQuery.submit:ÐÐŸÐžÑÐº
+CrossCollectionSearch.param.query:Ð¡ÑÑÐŸÐºÐ° Ð·Ð°Ð¿ÑÐŸÑÐ°
+CrossCollectionSearch.param.collection:Ð¡ÐŸÐ±ÑÐ°ÐœÐžÑ ÐŽÐ»Ñ Ð¿ÐŸÐžÑÐºÐ°
+CrossCollectionSearch.param.collection.all:ÐÑÐµ ÑÐŸÐ±ÑÐ°ÐœÐžÑ
+CrossCollectionSearch.param.maxDocs:ÐÐ°ÐºÑÐžÐŒÐ°Ð»ÑÐœÐŸÐµ ÑÐžÑÐ»ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² ÐœÐ° ÑÐŸÐ±ÑÐ°ÐœÐžÐµ
 
 ## LuceneSearch specific strings
-LuceneSearch.TextQuery.name=ÐÐŸÐžÑÐº
-LuceneSearch.TextQuery.description=Ð¡ÐµÑÐ²ÐžÑ Ð¿ÐŸÐžÑÐºÐ° Ð¿ÑÐŸÑÑÐŸÐ³ÐŸ XML
-LuceneSearch.TextQuery.submit=ÐÐŸÐžÑÐº
-LuceneSearch.param.query=ÐÐ²ÐµÐŽÐžÑÐµ ÐÐ°Ñ Ð¿ÐŸÐžÑÐºÐŸÐ²ÑÐ¹ Ð·Ð°Ð¿ÑÐŸÑ
-
+LuceneSearch.TextQuery.name:ÐÐŸÐžÑÐº
+LuceneSearch.TextQuery.description:Ð¡ÐµÑÐ²ÐžÑ Ð¿ÐŸÐžÑÐºÐ° Ð¿ÑÐŸÑÑÐŸÐ³ÐŸ XML
+LuceneSearch.TextQuery.submit:ÐÐŸÐžÑÐº
+LuceneSearch.param.query:ÐÐ²ÐµÐŽÐžÑÐµ ÐÐ°Ñ Ð¿ÐŸÐžÑÐºÐŸÐ²ÑÐ¹ Ð·Ð°Ð¿ÑÐŸÑ
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30784)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30785)
@@ -48,4 +48,9 @@
 home.no_collections:Ð Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐµ ÐœÐµÑ ÑÐ°Ð±ÐŸÑÐ°ÑÑÐžÑ
  ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
+#***** logged in menu
+menu.account_settings:ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž Ð°ÐºÐºÐ°ÑÐœÑÐ°
+menu.enable_edit_mode:ÐÐºÐ»ÑÑÐžÑÑ ÑÐµÐ¶ÐžÐŒ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ
+menu.disable_edit_mode:ÐÑÐºÐ»ÑÑÐžÑÑ ÑÐµÐ¶ÐžÐŒ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ
+menu.logout:ÐÑÐ¹ÑÐž
 
 ######################
@@ -85,4 +90,10 @@
 
 query.common:Ð¡Ð»ÐµÐŽÑÑÑÐžÐµ ÑÐµÑÐŒÐžÐœÑ ÑÐ»ÐžÑÐºÐŸÐŒ ÑÐ°ÑÐ¿ÑÐŸÑÑÑÐ°ÐœÐµÐœÑ Ðž Ð¿ÐŸÑÑÐŸÐŒÑ Ð±ÑÐ»Ðž ÐžÑÐºÐ»ÑÑÐµÐœÑ ÐžÐ· Ð¿ÐŸÐžÑÐºÐŸÐ²ÐŸÐ³ÐŸ Ð·Ð°Ð¿ÑÐŸÑÐ°:
+
+query.results.next:Ð¡Ð»ÐµÐŽÑÑÑÐžÐµ
+query.results.previous:ÐÑÐµÐŽÑÐŽÑÑÐžÐµ
+
+query.facet.less:ÐÐŸÐºÐ°Ð·Ð°ÑÑ ÐŒÐµÐœÑÑÐµ...
+query.facet.more:ÐÐŸÐºÐ°Ð·Ð°ÑÑ Ð±ÐŸÐ»ÑÑÐµ...
 
 ##################
@@ -101,10 +112,9 @@
 ÑÐ°ÐœÐžÑÑ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ.
 pref.berrybasket:ÐÐŸÑÐ·ÐžÐœÐ° ÑÐ³ÐŸÐŽ
-pref.berrybasket.on:Ð²ÐºÐ»ÑÑÐµÐœÐ°
-pref.berrybasket.off:Ð²ÑÐºÐ»ÑÑÐµÐœÐ°
+pref.documentbasket:ÐÐŸÑÐ·ÐžÐœÐ° ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²:
+pref.on:Ð²ÐºÐ».
+pref.off:Ð²ÑÐºÐ».
 pref.book:Ð ÐµÐ¶ÐžÐŒ Ð¿ÑÐŸÑÐŒÐŸÑÑÐ° ÐºÐœÐžÐ³:
 pref.formatedit:Ð ÐµÐ¶ÐžÐŒ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ ÑÐŸÑÐŒÐ°ÑÐ°
-pref.formatedit.on:Ð²ÐºÐ»ÑÑÐµÐœ
-pref.formatedit.off:Ð²ÑÐºÐ»ÑÑÐµÐœ
 pref.theme:Ð¢ÐµÐŒÐ° ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°
 
@@ -114,9 +124,6 @@
 doc.loading:Ð·Ð°Ð³ÑÑÐ¶Ð°ÐµÑÑÑ
 doc.filter_pages:Ð€ÐžÐ»ÑÑÑ ÑÑÑÐ°ÐœÐžÑ
-
-doc.edit_content:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÑÐŸÐŽÐµÑÐ¶ÐžÐŒÐŸÐµ
-doc.hide_editor:Ð¡Ð¿ÑÑÑÐ°ÑÑ ÑÐµÐŽÐ°ÐºÑÐŸÑ
-doc.edit_structure:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÑÑÑÑÐºÑÑÑÑ
-
+doc.filter.pagenum:ÐœÐŸÐŒÐµÑ ÑÑÑÐ°ÐœÐžÑÑ
+doc.filter.title:ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
 doc.highlightTooltip:ÐÐºÐ»ÑÑÐžÑÑ ÐžÐ»Ðž Ð²ÑÐºÐ»ÑÑÐžÑÑ Ð¿ÐŸÐŽÑÐ²ÐµÑÐºÑ ÐžÑÐºÐŸÐŒÑÑ
  ÑÐµÑÐŒÐžÐœÐŸÐ²
@@ -126,9 +133,13 @@
 doc.slideshowTooltip:ÐÑÐŸÑÐŒÐŸÑÑ ÑÐ»Ð°Ð¹ÐŽÑÐŸÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹
 doc.floatingTooltip:ÐÐ°ÐºÑÐµÐ¿ÐžÑÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÐœÐžÐµ ÐœÐ° Ð¿ÑÐ°Ð²ÐŸÐ¹ ÑÑÐŸÑÐŸÐœÐµ ÑÐºÑÐ°ÐœÐ°
-
+doc.expand_doc:Ð Ð°Ð·Ð²ÐµÑÐœÑÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑ
+doc.collapse_doc:Ð¡Ð²ÐµÑÐœÑÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑ
 doc.document:ÐÐŸÐºÑÐŒÐµÐœÑ
 doc.back_to_top:Ð²ÐµÑÐœÑÑÑÑÑ Ð² ÐœÐ°ÑÐ°Ð»ÐŸ
-
-doc.maps.nearby_docs:ÐÐŸÐºÐ°Ð·Ð°ÑÑ Ð±Ð»ÐžÐ·Ð»ÐµÐ¶Ð°ÑÐžÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ
+doc.default_view:ÐÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð²ÐžÐŽ
+doc.image_view:ÐÑÐŸÑÐŒÐŸÑÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹
+doc.text_view:Ð¢ÐµÐºÑÑÐ²ÑÐ¹ Ð²ÐžÐŽ
+
+doc.map_nearby_docs:ÐÐŸÐºÐ°Ð·Ð°ÑÑ Ð±Ð»ÐžÐ¶Ð°Ð¹ÑÐžÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ
 maps.scrolllabel:ÐÑÐŸÑÐŒÐŸÑÑ ÐŒÐµÑÑ
 
@@ -139,5 +150,31 @@
 external.go_forward:ÐŽÐ°Ð»ÐµÐµ
 
-
+#####################
+#  Document Editing #
+#####################
+
+de.rebuilding_collection:Ð¿ÐµÑÐµÑÑÑÐŸÐžÑÑ ÑÐŸÐ±ÑÐ°ÐœÐžÐµ
+de.no_changes:ÐÐ·ÐŒÐµÐœÐµÐœÐžÐ¹ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœÐŸ
+de.save:Ð¡ÐŸÑ
+ÑÐ°ÐœÐžÑÑ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ
+de.rebuild:ÐÐµÑÐµÑÑÑÐŸÐžÑÑ
+de.saverebuild:Ð¡ÐŸÑ
+ÑÐ°ÐœÐžÑÑ Ðž Ð¿ÐµÑÐµÑÑÑÐŸÐžÑÑ
+de.extract_pages:ÐÐ·Ð²Ð»ÐµÐºÐžÑÐµ ÑÑÐž ÑÑÑÐ°ÐœÐžÑÑ Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑ
+de.visible_metadata:ÐÐžÐŽÐžÐŒÑÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ:
+de.all_metadata:ÐÑÐµ
+de.add_new_metadata:ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÑÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ
+de.no_meta_name_given:ÐÐµ Ð·Ð°ÐŽÐ°ÐœÐŸ Ð·ÐœÐ°ÑÐµÐœÐžÐµ ÐŽÐ»Ñ ÐœÐŸÐ²ÐŸÐ³ÐŸ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ
+de.edit_metadata:ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ
+de.hide_metadata:ÑÐ¿ÑÑÑÐ°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ
+de.edit_content:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÐºÐŸÐœÑÐµÐœÑ
+de.hide_editor:Ð¡Ð¿ÑÑÑÐ°ÑÑ ÑÐµÐŽÐ°ÐºÑÐŸÑ
+de.save_changes:Ð¡ÐŸÑ
+ÑÐ°ÐœÐžÑÑ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ
+de.saving:Ð¡ÐŸÑ
+ÑÐ°ÐœÑÑ
+de.enter_meta_name:ÐÐ²ÐµÐŽÐžÑÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ, Ð° Ð·Ð°ÑÐµÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ 'ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ'
+de.enter_meta_dropdown:ÐÐ²ÐµÐŽÐžÑÐµ ÐžÐŒÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+ ÐžÐ»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÑÑÑÐµÐ»ÐºÑ Ð²ÐœÐžÐ· ÐŽÐ»Ñ Ð²ÑÐ±ÐŸÑÐ°, Ð° Ð¿ÐŸÑÐŸÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ "ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ"
 ##################
 # authentication page
@@ -175,5 +212,15 @@
 authen.reset_password:Ð¡Ð±ÑÐŸÑ ÐÐ°ÑÐŸÐ»Ñ
 
-
+##################
+# RSS page  #
+###################
+rss.page_title:ÐÐµÐœÑÐ° RSS
+
+##############
+# Basket common strings
+####################
+basket.expand:Ð Ð°Ð·Ð²ÐµÑÐœÑÑÑ
+basket.collapse:Ð¡Ð²ÐµÑÐœÑÑÑ
+basket.clear:ÐÑÐžÑÑÐžÑÑ ÐºÐŸÑÐ·ÐžÐœÑ
 
 ###################
@@ -185,2 +232,13 @@
  ÐœÐ°ÑÑÑÐŸÐ¹ÐºÐ°Ñ
  ÐœÐµ ÑÐ°Ð·ÑÐµÑÐµÐœÐŸ Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÐµ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
+
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title:ÐÐŸÑÐ·ÐžÐœÐ° ÑÐ³ÐŸÐŽ
+berry.view.full:ÐÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð²ÐžÐŽ
+berry.view.text:Ð¢ÐµÐºÑÑÐŸÐ²ÑÐ¹ Ð²ÐžÐŽ
+berry.view.email:Ð­Ð»ÐµÐºÑÑÐŸÐœÐœÐ°Ñ Ð¿ÐŸÑÑÐ°
+berry.help:ÐÐµÑÐµÐŒÐµÑÑÐžÑÐµ Ðž ÐŸÑÐ¿ÑÑÑÐžÑÐµ ÑÐ³ÐŸÐŽÑ Ð·ÐŽÐµÑÑ, ÑÑÐŸÐ±Ñ ÐŽÐŸÐ±Ð°Ð²ÐžÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð² ÐºÐŸÑÐ·ÐžÐœÑ
+berry.full:ÐÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð²ÐžÐŽ Â»
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ru.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ru.properties	(revision 30784)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ru.properties	(revision 30785)
@@ -1,4 +1,7 @@
-document\:text=ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ
-section\:Title=ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²
+text:ÑÐµÐºÑÑ
+section\:text:ÑÐµÐºÑÑ ÑÐµÐºÑÐžÐž
+document\:text:ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ
+section\:Title:ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²
+allfields:Ð²ÑÐµ Ð¿ÐŸÐ»Ñ
 Subject:Ð¢ÐµÐŒÐ°
 Subject.buttonname:ÑÐµÐŒÑ