Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 30803)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 30805)
@@ -44,4 +44,5 @@
 home.select_a_collection:àªžàªàªà«àª°àª¹àªšà« àªªàªžàªàªŠ àªàª°à«
 home.no_collections:àª àª²àªŸàªàª¬à«àª°à«àª°à«àª®àªŸàª àªàªàªªàª£ àª®àªŸàªšà«àª¯ àªžàªàªà«àª°àª¹à« àªšàª¥à«
+#***** logged in menu
 
 ######################
@@ -95,11 +96,7 @@
 pref.set_prefs_help:àªà« àª€àª®àªŸàª°à« àª€àª®à« àªàª°à«àª²àªŸ àªžà«àª§àªŸàª°àªŸàªšà« àª¬àªàªŸàªµàªµàªŸ àª¹à«àª¯ àª€à« "àªªà«àª°àªžà«àª€à«àª€àª¿àª àªžà«àª àªàª°à«" àªªàª° àªà«àª²àª¿àª àªàª°à«.
 pref.berrybasket:àª¬à«àª° àªà«àªªàª²à«
-pref.berrybasket.on:àªàªŸàª²à«
-pref.berrybasket.off:àª¬àªàª§
 pref.book:àªªà«àªžà«àª€àª àªµà«àª¯à«àª
 àª° àª®à«àª¡:
 pref.formatedit:àªžà«àª§àªŸàª°àªŸ àª®à«àª¡àªšà« àª«à«àª°à«àª®à«àª àªàª°à«
-pref.formatedit.on:àªàªŸàª²à«
-pref.formatedit.off:àª¬àªàª§
 pref.theme:àªŠà«àª¶à«àª¯ àªµàª¿àª·àª¯àªµàªžà«àª€à«
 
@@ -109,9 +106,4 @@
 doc.loading:àª²à«àª¡ àª¥àª àª°àª¹à«àª¯à«àª àªà«
 doc.filter_pages:àªªàªŸàªšàªŸàª àª«àª¿àª²à«àªàª° àªàª°à«
-
-doc.edit_content:àªàªšà«àªà«àªšà«àª àªžà«àª§àªŸàª°à«
-doc.hide_editor:àªàª¡àª¿àªàª°àªšà« àªà«àªªàªŸàªµà«
-doc.edit_structure:àª®àªŸàª³àªà«àª àªžà«àª§àªŸàª°à«
-
 doc.highlightTooltip:àª¶à«àª§ àªªàªŠ àª¹àªŸàªàª²àªŸàªàª àªàª°àªµàªŸàªšàªŸ àªµàª¿àªàª²à«àªªàªšà« àªžàªà«àª°àª¿àª¯ àª
 àª¥àªµàªŸ àªšàª¿àª·à«àªà«àª°àª¿àª¯ àªàª°à«
@@ -122,10 +114,7 @@
 doc.floatingTooltip:àªžà«àªà«àª°à«àªšàªšà« àªàª®àª£à« àª¬àªŸàªà« àª
 àªšà«àªà«àª°àª®àª£àª¿àªàªŸàªšà« àªà«àª àªµà«
-
 doc.document:àªªà«àª°àª²à«àªà«
 doc.back_to_top:àªªàªŸàªàª³àª¥à« àªà«àª àªžà«àª§à«
 
-doc.maps.nearby_docs:àª
-àª¹à«àª àªšàªà«àª àªªà«àª°àª²à«àªà« àª¬àª€àªŸàªµà«
 maps.scrolllabel:àªžà«àª¥àª³à«àª¥à« àªžà«àªà«àª°à«àª² àªàª°à«
 
@@ -136,5 +125,12 @@
 external.go_forward:àªàªàª³ àªµàª§à«
 
+#####################
+#  Document Editing #
+#####################
 
+de.all_metadata:àª€àª®àªŸàª®x
+de.add_new_metadata:àªšàªµà« àª®à«àªàªŸàª¡à«àªàªŸ àªàª®à«àª°à«
+de.edit_metadata:àª®à«àªàªŸàª¡à«àªàªŸ àªžà«àª§àªŸàª°à«
+de.edit_content:àªàªšà«àªà«àªšà«àª àªžà«àª§àªŸàª°à«
 ##################
 # authentication page
@@ -169,6 +165,16 @@
 authen.change_password:àªªàªŸàªžàªµàª°à«àª¡ àª¬àªŠàª²à«
 authen.reset_password:àªªàªŸàªžàªµàª°à«àª¡àªšà« àª«àª°à«àª¥à« àª€à«àª¯àªŸàª° àªàª°à«
+authen.register_as_new:àªšàªµàªŸ àª¯à«àªàª° àª€àª°à«àªà« àªšà«àªàª§àª£à« àªàª°à«
 
+##################
+# RSS page  #
+###################
 
+##############
+# Basket common strings
+####################
+basket.expand:àªµàª¿àªžà«àª€à«àª€
+basket.collapse:àªà«àªàªà«àª
+basket.clear:àªà«àªªàª²à« àªàªŸàª²à« àªàª°à«
 
 ###################
@@ -178,2 +184,14 @@
 db.access_denied:àªàªà«àªžà«àªž àªšàªŸàª®àªàªà«àª°
 db.no_collection_building:àªà«àª°à«àªšàªžà«àªà«àªšàªšà« àª àª²àªŸàªà«àª·àª£àª¿àªàª€àªŸàªšà« àª€àª®à« àªàªªàª¯à«àª àªàª°à« àª¶àªàª¶à« àªšàª¹àª¿ àªàªŸàª°àª£ àªà« àª€àª®à« àª àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡ àªàª°àªµàªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸàªšà« àªžàªà«àª°àª¿àª¯ àªàª°à« àªšàª¥à«.
+
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title:àª¬à«àª° àªà«àªªàª²à«
+berry.view.full:àªžàªàªªà«àª°à«àª£ àªŠà«àªàªŸàªµ
+berry.view.text:àªà«àªà«àªžà«àª àªŠà«àªàªŸàªµ
+berry.view.email:àªàª®à«àªàª²
+berry.help:àª€àª®àªŸàª°à« àª¬à«àª° àªà«àªªàª²à«àª®àªŸàª àªªà«àª°àª²à«àªà« àªàª®à«àª°àªµàªŸ àª¬à«àª°àªšà« àªà«àªàªà« & àª
+àª¹à«àªÂ  àªà«àª¡à«Â  àªŠà«Â 
+berry.full:àªžàªàªªà«àª°à«àª£ àªŠà«àªàªŸàªµ Â»