Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 30813)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 30814)
@@ -124,5 +124,5 @@
 
 external.title:Enlace externo
-external.text:El enlace seleccionado es externo a cualquiera de las colecciones elegidas. Si todavÃ­a desea ver este enlace  y su navegador tiene acceso a Internet, puede {0-go-forward-link} a esta pÃ¡gina, de otra manera, use el botÃ³n "Retroceder" de su navegador para volver al documento previo.
+external.text:El enlace seleccionado es externo a cualquiera de las colecciones elegidas. Si todavÃ­a desea ver este enlace  y su navegador tiene acceso a Internet, puede {0-go-forward-link} a esta pÃ¡gina, de otra manera, use el botÃ³n 'Retroceder' de su navegador para volver al documento previo.
 external.go_forward:avanzar
 
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 30813)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 30814)
@@ -120,5 +120,5 @@
 external.text:àª€àª®à« àªà« àª²àª¿àªàª àªªàªžàªàªŠ àªàª°à« àªà« àª€à« àª¹àªŸàª²àª®àªŸàª àª€àª®àªŸàª°àªŸ àªªàªžàªàªŠ àªàª°à«àª² àªà«àª àªžàªàªà«àª°àª¹à«àª®àªŸàªàª¥à« àªà«àª àªàª àªžàªàªà«àª°àª¹àªšà« àª¬àªŸàª¹à«àª¯ àª²àª¿àªàª àªà«. àªà« àª€àª®à« àª€à«àª® àªàª€àªŸàª àª€à«àªšà« àªà«àªµàªŸ àªàªà«àªàª€àªŸ àª¹à«àª¯ àª
 àªšà« àª€àª®àªŸàª°àªŸ àª¬à«àª°àªŸàªàªàª°àªšà« àªµà«àª¬àªšà« àªàªà«àªžà«àªž àª¹à«àª¯ àª€à« àª€àª®à« {0-go-forward-link} àª àªªàªŸàªšàªŸ àªªàª° àªàª àª¶àªà« àªà«; àªšàª¹à«àªàª€àª° àª
-àªàªŸàªàªšàªŸ àªªà«àª°àª²à«àª àªªàª° àªàªµàªŸ àª®àªŸàªà« àª€àª®àªŸàª°àªŸ àª¬à«àª°àªŸàªàªàª°àªšà«àª "àªªàªŸàªàª³" àª¬àªàªšàªšà« àªàªªàª¯à«àª àªàª°à«.
+àªàªŸàªàªšàªŸ àªªà«àª°àª²à«àª àªªàª° àªàªµàªŸ àª®àªŸàªà« àª€àª®àªŸàª°àªŸ àª¬à«àª°àªŸàªàªàª°àªšà«àª 'àªªàªŸàªàª³' àª¬àªàªšàªšà« àªàªªàª¯à«àª àªàª°à«.
 external.go_forward:àªàªàª³ àªµàª§à«
 
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30813)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30814)
@@ -147,5 +147,5 @@
 external.text:Ð¡ÑÐ»ÑÐºÐ°, ÐœÐ° ÐºÐŸÑÐŸÑÑÑ ÐÑ ÐœÐ°Ð¶Ð°Ð»Ðž, Ð²ÐµÐŽÐµÑ ÐœÐ° Ð²ÐœÐµÑÐœÐžÐ¹ ÑÐµÑÑÑÑ. ÐÑÐ»Ðž ÐÑ Ð²ÑÑ ÐµÑÐµ Ñ
 ÐŸÑÐžÑÐµ Ð¿ÐµÑÐµÐ¹ÑÐž Ð¿ÐŸ ÑÑÐŸÐ¹ ÑÑÐ»ÑÐºÐµ Ðž ÐÐ°Ñ Ð±ÑÐ°ÑÐ·ÐµÑ ÐžÐŒÐµÐµÑ ÐŽÐŸÑÑÑÐ¿ Ð² ÐÐœÑÐµÑÐœÐµÑ, ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ {0-go-forward-link} ÐŽÐ»Ñ Ð¿ÐµÑÐµÑ
-ÐŸÐŽÐ° Ð¿ÐŸ ÑÑÑÐ»ÐºÐµ; Ð Ð¿ÑÐŸÑÐžÐ²ÐœÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÐºÐœÐŸÐ¿ÐºÑ "ÐÐ°Ð·Ð°ÐŽ" Ð² ÐÐ°ÑÐµÐŒ Ð±ÑÐ°ÑÐ·ÐµÑÐµ, ÑÑÐŸÐ±Ñ Ð²ÐµÑÐœÑÑÑÑÑ Ðº Ð¿ÑÐµÐŽÑÐŽÑÑÐµÐŒÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ.
+ÐŸÐŽÐ° Ð¿ÐŸ ÑÑÑÐ»ÐºÐµ; Ð Ð¿ÑÐŸÑÐžÐ²ÐœÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÐºÐœÐŸÐ¿ÐºÑ 'ÐÐ°Ð·Ð°ÐŽ' Ð² ÐÐ°ÑÐµÐŒ Ð±ÑÐ°ÑÐ·ÐµÑÐµ, ÑÑÐŸÐ±Ñ Ð²ÐµÑÐœÑÑÑÑÑ Ðº Ð¿ÑÐµÐŽÑÐŽÑÑÐµÐŒÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ.
 external.go_forward:ÐŽÐ°Ð»ÐµÐµ
 
@@ -176,5 +176,5 @@
 de.enter_meta_name:ÐÐ²ÐµÐŽÐžÑÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ, Ð° Ð·Ð°ÑÐµÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ 'ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ'
 de.enter_meta_dropdown:ÐÐ²ÐµÐŽÐžÑÐµ ÐžÐŒÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- ÐžÐ»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÑÑÑÐµÐ»ÐºÑ Ð²ÐœÐžÐ· ÐŽÐ»Ñ Ð²ÑÐ±ÐŸÑÐ°, Ð° Ð¿ÐŸÑÐŸÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ "ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ"
+ ÐžÐ»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÑÑÑÐµÐ»ÐºÑ Ð²ÐœÐžÐ· ÐŽÐ»Ñ Ð²ÑÐ±ÐŸÑÐ°, Ð° Ð¿ÐŸÑÐŸÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ 'ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ'
 ##################
 # authentication page