Index: in/trunk/gs3-collection-configs/lucene-jdbm-demo_es.properties
===================================================================
--- /main/trunk/gs3-collection-configs/lucene-jdbm-demo_es.properties	(revision 30815)
+++ 	(revision )
@@ -1,3 +1,0 @@
-name:ColecciÃ³n Demo
-description:Esta es una colecciÃ³n de demostraciÃ³n  del software de biblioteca digital Greenstone3. Contiene un pequeÃ±o subconjunto (11 libros) de la Biblioteca para el Desarrollo Humano. Se utilizÃ³ Lucene para construir el Ã­ndice y JDBM como base de datos para los metadatos.
-shortDescription:ColecciÃ³n de demostraciÃ³n usando Lucene como indexador y JDBM para la base de datos.
Index: in/trunk/gs3-collection-configs/lucene-jdbm-demo_gu.properties
===================================================================
--- /main/trunk/gs3-collection-configs/lucene-jdbm-demo_gu.properties	(revision 30815)
+++ 	(revision )
@@ -1,6 +1,0 @@
-name:àª¡à«àª®à« àªžàªàªà«àª°àª¹
-description:àª àªà«àª°à«àªšàªžà«àªà«àªš3 àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª° àª®àªŸàªà«àªšà« àªàª àª¡à«àª®à«àªšà«àªžà«àªà«àª°à«àª¶àªš àªžàªàªà«àª°àª¹ àªà«. àª àªžàªàªà«àª°àª¹àª®àªŸàª àª®àªŸàªšàªµ àªžàªàªžà«àªà«àª€àª¿ àªµàª¿àªŠà«àª¯àªŸ àª
-àªšà« àªµàª¿àªàªŸàªž àªà«àª°àªàª¥àªŸàª²àª¯à«àªšà« àªàª àªšàªŸàªšà« àªàªªàªàª£ (11Â  àªªà«àªžà«àª€àªà«)àªšà« àªžàª®àªŸàªµà«àª¶ àª¥àªŸàª¯ àªà«.Â  àª àªà«àª°à«àªšàªžà«àªà«àªš3 àªà« àªà« àªà«àª°à«àªšàªžà«àªà«àªš2 àª¡à«àª®à« àªžàªàªà«àª°àª¹àªšà« àªà«àªµà«àª àª àªà«, àªà« àªà«Â  àªàªšà«àª¡à«àªà«àª·àª¿àªšà«àª àª®àªŸàªà« àª²à«àªà«àªšàªŸ àª
-àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª®àªŸàªà« JDBM àªàª àª¡à«àªàªŸàª¬à«àª àªŠà«àªµàªŸàª°àªŸ àª¬àª¿àª²à«àª¡ àª¥àªŸàª¯ àªà«.
-shortDescription:àªàªšà«àª¡à«àªà«àª·àª° àª€àª°à«àªà« àª²à«àªà«àªšàªŸàªšà«, àª
-àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª¡à«àªàªŸàª¬à«àª àª€àª°à«àªà« JDBMàªšà« àªàªªàª¯à«àª àªàª°àª€à« àª¡à«àª®à«àªšà«àªžà«àªà«àª°à«àª¶àªš àªžàªàªà«àª°àª¹.
Index: in/trunk/gs3-collection-configs/lucene-jdbm-demo_ja.properties
===================================================================
--- /main/trunk/gs3-collection-configs/lucene-jdbm-demo_ja.properties	(revision 30815)
+++ 	(revision )
@@ -1,3 +1,0 @@
-name:ãã¢ã³ã¬ã¯ã·ã§ã³
-description:ãã¡ãã¯GreenstoneïŒã®ãã€ãžã¿ã«ã©ã€ãã©ãªãŒã®ãã¢ã³ã¬ã¯ã·ã§ã³ã§ããäººæç§å­Šç³»å³æžé€šã®å°èŠæš¡ã®ãµãã»ããïŒïŒïŒåã®æžç±ïŒã§ããGreenstone2ã®ãã¢ã³ã¬ã¯ã·ã§ã³ãšåããã®ã§ãã€ã³ãã­ã·ã³ã°ã«ã«ã·ãŒã³ãJBDMãã¡ã¿ããŒã¿ããŒã¿ããŒã¹ãšããŠäœ¿çšããŠæ§ç¯ããŠããŸãã
-shortDescription:äººæç§å­Šç³»å³æžé€šã®æ°åã®æžç±ãå«ãŸããŠãããã¢ã³ã¬ã¯ã·ã§ã³ã§ãã  LuceneãšJDBMãäœ¿çšããŠããŸãã
Index: in/trunk/gs3-collection-configs/lucene-jdbm-demo_pl.properties
===================================================================
--- /main/trunk/gs3-collection-configs/lucene-jdbm-demo_pl.properties	(revision 30815)
+++ 	(revision )
@@ -1,5 +1,0 @@
-name:PrzykÅadowa kolekcja
-description:To jest przykÅadowa kolekcja stworzona dla Greenstone3 - oprogramowania do tworzenia bibliotek cyfrowych. Kolekcja zawiera niewielki podzbiÃ³r (11 ksiÄ
-ÅŒek) z Humanity Development Library. Do indeksowania uÅŒyte zostaÅo Lucene, a do obsÅugi bazy metadanych wykorzystywany jest JDBM.
-shortDescription:PrzykÅadowa kolekcja wykorzystujÄ
-ca Lucene do indeksowania i JDBM do bazy danych.
Index: in/trunk/gs3-collection-configs/solr-jdbm-demo_es.properties
===================================================================
--- /main/trunk/gs3-collection-configs/solr-jdbm-demo_es.properties	(revision 30815)
+++ 	(revision )
@@ -1,3 +1,0 @@
-name:Demo Solr
-description:Esta es una colecciÃ³n de demostraciÃ³n  del software de biblioteca digital Greenstone3. Contiene un pequeÃ±o subconjunto (11 libros) de la Biblioteca para el Desarrollo Humano. Es similar a la colecciÃ³n de demo que usa Lucene y  JDBM como base de datos para los metadatos, pero utiliza Solr para generar el Ã­ndice. Solr ofrece bÃºsqueda facetada.
-shortDescription:ColecciÃ³n de demostraciÃ³n usando Solr como indexador y JDBM como base de datos de metadatos.
Index: in/trunk/gs3-collection-configs/solr-jdbm-demo_gu.properties
===================================================================
--- /main/trunk/gs3-collection-configs/solr-jdbm-demo_gu.properties	(revision 30815)
+++ 	(revision )
@@ -1,4 +1,0 @@
-name:Solr àª¡à«àª®à«
-description:àª àªà«àª°à«àªšàªžà«àªà«àªš3 àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª° àª®àªŸàªà«àªšà« àªàª àª¡à«àª®à«àªšà«àªžà«àªà«àª°à«àª¶àªš àªžàªàªà«àª°àª¹ àªà«. àª àªžàªàªà«àª°àª¹àª®àªŸàª àª®àªŸàªšàªµ àªžàªàªžà«àªà«àª€àª¿ àªµàª¿àªŠà«àª¯àªŸ àªµàª¿àªàªŸàªž àªà«àª°àªàª¥àªŸàª²àª¯àªšà« àªàª àªšàªŸàªšà« àªàªªàªàª£ (11Â  àªªà«àªžà«àª€àªà«)àªšà« àªžàª®àªŸàªµà«àª¶ àª¥àªŸàª¯ àªà«. àª àªžàªàªà«àª°àª¹ àª²à«àªà«àªšàªŸ àª¡à«àª®à« àªžàªàªà«àª°àª¹ àªà«àªµà« àª àªžàªàªà«àª°àª¹ àªà«, àªà« àªà« àª¡à«àªàªŸàª¬à«àª àª®àªŸàªà« JDBMàªšà« àªªàª°àªàª€à« àªàªšà«àª¡à«àªà«àª·àª¿àªšà«àª àª®àªŸàªà« Solràªšà« àªàªªàª¯à«àª àªàª°à« àªà«. Solràª¥à« àª¶à«àª§ àªªàª°àª¿àª£àªŸàª®à«àªšà« àª«à«àªžàª àª®à«àªàª¬ àª¬à«àª°àªŸàªàªà«àªàª àªàª°à« àª¶àªàªŸàª¯ àªà«.
-shortDescription:àªàªšà«àª¡à«àªà«àª·àª° àª€àª°à«àªà« Solràªšà« àª
-àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª¡à«àªàªŸàª¬à«àª àª€àª°à«àªà« JDBMàªšà« àªàªªàª¯à«àª àªàª°àª€à« àª¡à«àª®à«àªšà«àªžà«àªà«àª°à«àª¶àªš àªžàªàªà«àª°àª¹.
Index: in/trunk/gs3-collection-configs/solr-jdbm-demo_ja.properties
===================================================================
--- /main/trunk/gs3-collection-configs/solr-jdbm-demo_ja.properties	(revision 30815)
+++ 	(revision )
@@ -1,3 +1,0 @@
-name:Solr ãã¢
-description:ãã¡ãã¯Greenstone3ããžã¿ã«ã©ã€ãã©ãªãŒã®ãã¢ã³ã¬ã¯ã·ã§ã³ã§ããäººæç§å­Šç³»å³æžé€šã®å°èŠæš¡ãµãã»ããïŒ11åã®æžç±ïŒãå«ãŸããŠããŸããJDBMãäœ¿çšããã«ã·ãŒã³ã®ãã¢ã³ã¬ã¯ã·ã§ã³ã«äŒŒãŠããŸãããã€ã³ãã­ã·ã³ã°ã« Solr ãäœ¿çšããŠããŸãã Solr ã¯æ€çŽ¢çµæã®ãã¡ã»ãããã©ãŠãºãæäŸããŠããŸãã
-shortDescription: Solr ãã€ã³ãã­ãµïœ°ãšããŠäœ¿çšããJDBMãã¡ã¿ããŒã¿ããŒã¿ããŒã¹ãšããŠäœ¿çšãããã¢ã³ã¬ã¯ã·ã§ã³
Index: in/trunk/gs3-collection-configs/solr-jdbm-demo_pl.properties
===================================================================
--- /main/trunk/gs3-collection-configs/solr-jdbm-demo_pl.properties	(revision 30815)
+++ 	(revision )
@@ -1,6 +1,0 @@
-name:PrzykÅad Solr
-description:To jest przykÅadowa kolekcja stworzona dla Greenstone3 - oprogramowania do tworzenia bibliotek cyfrowych. Kolekcja zawiera niewielki podzbiÃ³r (11 ksiÄ
-ÅŒek) z Humanity Development Library. Ta kolekcja jest podobna do przykÅadowej kolekcji opartej na Lucene i JDBM, jednak tutaj do indeksowania uÅŒyto Solr. Solr umoÅŒliwia fasetowe przeglÄ
-danie wynikÃ³w wyszukiwania.
-shortDescription:PrzykÅadowa kolekcja wykorzystujÄ
-ca Solr do indeksowania i JDBM do bazy danych.