Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 30814)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 30819)
@@ -44,4 +44,9 @@
 home.select_a_collection:Seleccione una colecciÃ³n
 home.no_collections:Esta biblioteca no contiene colecciones
+#***** logged in menu
+menu.account_settings:ConfiguraciÃ³n de la cuenta
+menu.enable_edit_mode:Habilitar modo ediciÃ³n
+menu.disable_edit_mode:Deshabilitar el modo ediciÃ³n
+menu.logout:Salir
 
 ######################
@@ -66,8 +71,11 @@
 query.docsreturned:{0-numdocs} {1-level-plural} retornados.
 
-query.termoccurs.1.1:{0-term} aparece {1-termfreq} vez
-query.termoccurs.x.1:{0-term} aparecen {1-termfreq} veces
-query.termoccurs.x.x:{0-term} aparecen {1-termfreq} veces
-query.termSectionFreq:en {0-numdocs} {1-level-plural}
+query.termoccurs.0:'{0-term}' aparece 0 veces
+query.termoccurs.1:'{0-term}' aparece 1 vez
+query.termoccurs.x:'{0-term}' aparece {1-termfreq} veces
+
+query.termoccurs.x.1:'{0-term}' aparece {1-termfreq} veces en 1 {3-level-single}
+query.termoccurs.x.x:'{0-term}' aparece {1-termfreq} veces en {2-numdocs} {3-level-plural}
+
 query.document:documento
 query.document_plural:documentos
@@ -79,4 +87,10 @@
 
 query.common:Los siguientes tÃ©rminos son muy comunes y han sido excluÃ­dos de la bÃºsqueda:
+
+query.results.next:Siguiente
+query.results.previous:Previo
+
+query.facet.less:Ver menos...
+query.facet.more:Ver mÃ¡s...
 
 ##################
@@ -92,13 +106,15 @@
 pref.set_prefs:fijar preferencias
 pref.set_prefs_help:Selecciones 'Fijar preferencias' si desea guardar los cambios.
-pref.berrybasket:Canasta
-pref.berrybasket.on:activada
-pref.berrybasket.off:desactivada
+pref.berrybasket:Cesta
+pref.documentbasket:Cesta de documentos:
+pref.on:on
+pref.off:off
 pref.book:Modo vista libro:
-pref.formatedit:Modo ediciÃ³n de formato
-pref.formatedit.on:activado
-pref.formatedit.off:desactivado
-pref.theme:Tema visual
-
+pref.formatedit:Modo ediciÃ³n de formato:
+pref.theme:Tema visual:
+pref.switch_theme:Cambiar tema
+pref.theme_default:Tema por defecto de Greenstone
+pref.theme_custom1:Greenstone Custom 1
+pref.theme_custom2:Greenstone Custom 2
 ##################
 # document page
@@ -106,19 +122,20 @@
 doc.loading:cargando
 doc.filter_pages:Filtrar pÃ¡ginas
-
-doc.edit_content:Editar contenido
-doc.hide_editor:Esconder editor
-doc.edit_structure:Editar estructura
-
-doc.highlightTooltip:Habilitar/deshabilitar relastado de palabras de bÃºsqueda
+doc.filter.pagenum:nÃºmero de pÃ¡gina
+doc.filter.title:tÃ­tulo
+doc.highlightTooltip:Habilitar/Deshabilitar resaltado de palabras de bÃºsqueda
 doc.realisticBooksTooltip:Habilitar o deshabilitar la vista Realistic Book
 doc.zoomTooltip:Habilitar o deshabilitar zoom de imÃ¡genes en la vista estÃ¡ndar
 doc.slideshowTooltip:Ver carrete de imÃ¡genes
 doc.floatingTooltip:Fijar la tabla de contenidos en el margen derecho de la pantalla
-
+doc.expand_doc:Expandir documento
+doc.collapse_doc:Colapsar documento
 doc.document:Documento
 doc.back_to_top:volver al inicio
-
-doc.maps.nearby_docs:Mostrar documentos cerca de aquÃ­
+doc.default_view:Vista por defecto
+doc.image_view:Vista de Imagen
+doc.text_view:Vista de texto
+
+doc.map_nearby_docs:Mostrar los documentos cerca de aquÃ­
 maps.scrolllabel:Navegar entre lugares
 
@@ -127,5 +144,27 @@
 external.go_forward:avanzar
 
-
+#####################
+#  Document Editing #
+#####################
+
+de.rebuilding_collection:reconstruyendo la colecciÃ³n
+de.no_changes:No se han detectado cambios
+de.save:Guardar cambios
+de.rebuild:Reconstruir
+de.saverebuild:Guardar y Reconstruir
+de.extract_pages:Extraer estas pÃ¡ginas a un documento
+de.visible_metadata:Metadatos visibles:
+de.all_metadata:Todos
+de.add_new_metadata:Agregar nuevos metadatos
+de.no_meta_name_given:No se ingresÃ³ ningÃºn valor como nombre del nuevo metadato
+de.edit_metadata:editar metadatos
+de.hide_metadata:ocultar metadatos
+de.remove:remover
+de.edit_content:Editar contenido
+de.hide_editor:Ocultar editor
+de.save_changes:Guardar cambios
+de.saving:Guardando
+de.enter_meta_name:Ingrese el nombre de metadato, luego cliquee 'Agregar nuevo metadato'
+de.enter_meta_dropdown:Ingrese un nombre de metadato, o utilice la flecha hacia abajo para seleccionar uno y luego cliquee 'Agregar nuevo metadato'
 ##################
 # authentication page
@@ -160,11 +199,33 @@
 authen.change_password:Cambiar clave
 authen.reset_password:Cambiar clave
-
-
+authen.register_as_new:Registrarse como nuevo usuario
+
+##################
+# RSS page  #
+###################
+rss.page_title:RSS Feed
+
+##############
+# Basket common strings
+####################
+basket.expand:Expandir
+basket.collapse:Colapsar
+basket.clear:Vaciar canasta
 
 ###################
 # Document basket #
 ###################
-db.doc_basket:Canasta de documentos
+db.doc_basket:Cesta de documentos
 db.access_denied:Acceso denegado
 db.no_collection_building:No puede usar esta caracterÃ­stica de Greenstone ya que no tiene habilitada la construcciÃ³n de la colecciÃ³n
+
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title:Cesta de frutas
+berry.view.full:Vista completa
+berry.view.text:Vista de texto
+berry.view.email:Email
+berry.help:Arrastre y suelte las frutas aquÃ­ para agregar documentos a su cesta
+berry.full:Vista completa Â»