Index: main/trunk/greenstone2/macros/spanish2.dm
===================================================================
--- main/trunk/greenstone2/macros/spanish2.dm	(revision 30718)
+++ main/trunk/greenstone2/macros/spanish2.dm	(revision 30827)
@@ -5,6 +5,4 @@
 # -- this file contains text that is of less importance
 ######################################################################
-
-
 
 ######################################################################
@@ -119,7 +117,5 @@
 }
 
-
 _textdescrselcol_ [l=es] {seleccionar una colecciÃ³n}
-
 
 ######################################################################
@@ -128,5 +124,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -157,5 +152,4 @@
 package extlink
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -192,10 +186,8 @@
 }
 
-
 ######################################################################
 # authentication page
 package authen
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -233,10 +225,8 @@
 }
 
-
 ######################################################################
 # 'docs' page 
 package docs
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -303,5 +293,4 @@
 _textfailmsg71_ [l=es] {Ha ocurrido un error inesperado durante el intento de construir la colecciÃ³n}
 
-
 _textblcont_ [l=es] {El registro de construcciÃ³n contiene la siguiente informaciÃ³n:}
 
@@ -310,6 +299,4 @@
 package collector
 ######################################################################
-
-
 
 #------------------------------------------------------------
@@ -382,5 +369,4 @@
 }
 _textamd_ [l=es] {AÃ±adir mÃ¡s datos y recrear la colecciÃ³n
-
 
 }
@@ -599,10 +585,8 @@
 _textreset_ [l=es] {Reiniciar}
 
-
 _texttryagain_ [l=es] {Por favor <a href="_httppagecollector_" target=_top>vuelva a
 arrancar el Colector</a> e intente de nuevo.
 
 }
-
 
 _textretcoll_ [l=es] {Volver al Colector
@@ -712,5 +696,4 @@
 package depositor
 ######################################################################
-
 
 _textdepositorblurb_ [l=es] {<p> Por favor, indique la siguiente informaciÃ³n de fichero y selecciÃ³nelo en la parte inferior</p>}
@@ -732,5 +715,4 @@
 _textretcoll_ [l=es] {Volver al acumulador}
 
-
 _texttmpfail_ [l=es] {El Acumulador fallÃ³ en la lectura o escritura de un fichero temporal o directorio. Las causas posibles son:
 <ul>
@@ -739,5 +721,4 @@
 }
 
-
 ######################################################################
 # 'gsdl' page
@@ -745,9 +726,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textgreenstone1_ [l=es] {<p>Greenstone es un conjunto de programas informÃ¡ticos cuya
@@ -842,5 +821,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -856,5 +834,4 @@
 _textdeleteuser_ [l=es] {suprimir}
 
-
 ######################################################################
 # 'users' page
@@ -862,9 +839,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textedituser_ [l=es] {Modificar las informaciones relativas a los usuarios}
@@ -887,5 +862,4 @@
 _textavailablegroups_ [l=es] {Los grupos predefinidos incluyen al administrador y otros que pueden asignar permisos para la construccion remota de colecciones usando el GLI o el Depositor: <ul> <li><b>administrator</b>: Otorga permisos para acceder y cambiar la configuraciÃ³n del sitio y las cuentas de usuarios. <li><b>personal-collections-editor</b>: Otorga permisos para crear nuevas colecciones personales. <li><b><nombre-coleccion>-collection-editor</b>: Otorga permisos para crear y editar la colecciÃ³n "nombre-coleccion", por ejemplo, reportes-collection-editor. <li><b>all-collections-editor</b>: Otorga permisos para crear nuevas colecciones globales y personales y editar <b>todas</b> las colecciones. </ul> }
 
-
 ######################################################################
 # 'users' page
@@ -893,5 +867,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -901,10 +874,8 @@
 _textremwarn_ [l=es] {Â¿Confirma usted que desea suprimir definitivamente el usuario <b>_cgiargumunHtmlsafe_</b>?}
 
-
 ######################################################################
 # 'users' page
 package userschangepasswd
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -917,5 +888,4 @@
 _textretype_ [l=es] {vuelva a teclear su nueva contraseÃ±a}
 
-
 ######################################################################
 # 'users' page
@@ -923,5 +893,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -929,5 +898,4 @@
 
 _textsuccess_ [l=es] {Se ha registrado su nueva contraseÃ±a}
-
 
 ######################################################################
@@ -935,5 +903,4 @@
 package users
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -954,5 +921,4 @@
 _textfailed_ [l=es] {Es incorrecto el nombre de usuario o la contraseÃ±a.}
 
-
 ######################################################################
 # 'status' pages
@@ -960,9 +926,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textversion_ [l=es] {NÃºmero de versiÃ³n de Greenstone}
@@ -1012,10 +976,8 @@
 _textmus_ [l=es] {se logrÃ³ actualizar el fichero main.cfg }
 
-
 ######################################################################
 # 'bsummary' pages
 package bsummary
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -1065,5 +1027,5 @@
 _textcharacterise_ [l=es] {Â¿QuÃ© clase de problema es?}
 _textseverity_ [l=es] {Â¿CÃºal es la importancia del problema?}
- 
+
 _textbadrender_ [l=es] {La pÃ¡gina se ve extraÃ±a}
 _textcontenterror_ [l=es] {Error de contenido}
@@ -1087,5 +1049,4 @@
 _textusabbanner_ [l=es] {el rÃ³tulo estilo koru de Greenstone}
 
-
 ######################################################################
 # GTI text strings
@@ -1093,9 +1054,8 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-	
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
 _textgtierror_ [l=es] {Ha ocurrido un error}
 
@@ -1182,6 +1142,4 @@
 }
 
-
-
 ############
 # gli page