Index: main/trunk/greenstone3/web/interfaces/default/transform/gslib.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/gslib.xsl	(revision 30826)
+++ main/trunk/greenstone3/web/interfaces/default/transform/gslib.xsl	(revision 30841)
@@ -23,9 +23,9 @@
 
   <xsl:template name="siteName">
-    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteName']"/>
+    <xsl:value-of select="/page/pageResponse/displayItemList/displayItem[@name='siteName']"/>
   </xsl:template>
 
   <xsl:template name="siteDescription">
-    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteDescription']"/>
+    <xsl:value-of select="/page/pageResponse/displayItemList/displayItem[@name='siteDescription']"/>
   </xsl:template>
 
@@ -59,5 +59,5 @@
     <xsl:choose>
       <xsl:when test="/page/pageResponse/collection">
-        <xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/>
+        <xsl:value-of select="/page/pageResponse/collection/displayItemList/displayItem[@name='name']"/>
       </xsl:when>
       <xsl:otherwise>All Collections</xsl:otherwise>
@@ -213,5 +213,5 @@
         <a href="{$group_href}" title="{$desc}">
           <img class="groupLinkImage">
-            <xsl:attribute name="alt"><xsl:value-of select="displayItem[@name='name']"/></xsl:attribute>
+            <xsl:attribute name="alt"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:attribute>
             <xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/<xsl:value-of select="backgroundImage"/></xsl:attribute>
           </img>
@@ -239,12 +239,12 @@
   
   <xsl:template name="collectionLinkWithImage">
-    <xsl:variable name="desc"><xsl:value-of select="displayItem[@name='shortDescription']"/></xsl:variable>
+    <xsl:variable name="desc"><xsl:value-of select="displayItemList/displayItem[@name='shortDescription']"/></xsl:variable>
     <xsl:variable name="coll_href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="@name"/>/page/about<xsl:choose><xsl:when test="libraryParamList/param">?<xsl:for-each select="libraryParamList/param"><xsl:value-of select="@name"/>=<xsl:value-of select="@default"/>&amp;</xsl:for-each></xsl:when></xsl:choose></xsl:variable>
     <xsl:choose>
-      <xsl:when test="displayItem[@name='smallicon']">
+      <xsl:when test="displayItemList/displayItem[@name='smallicon']">
         <a href="{$coll_href}" title="{$desc}">
           <img class="collectionLinkImage">
-            <xsl:attribute name="alt"><xsl:value-of select="displayItem[@name='name']"/></xsl:attribute>
-            <xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItem[@name='smallicon']"/></xsl:attribute>
+            <xsl:attribute name="alt"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:attribute>
+            <xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItemList/displayItem[@name='smallicon']"/></xsl:attribute>
           </img>
         </a>
@@ -254,5 +254,5 @@
           <div class="collectionLink ui-corner-all">
 			<div class="collectionLinkText ui-widget-content ui-corner-top">
-				<xsl:choose><xsl:when test="displayItem[@name='name']"><xsl:value-of select="displayItem[@name='name']"/></xsl:when>
+				<xsl:choose><xsl:when test="displayItemList/displayItem[@name='name']"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:when>
 				<xsl:otherwise>
 				  <xsl:value-of select="@name"/>
@@ -276,5 +276,5 @@
       <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
         <xsl:value-of select="@name"/>
-        <xsl:value-of select="displayItem[@name='name']"/>
+        <xsl:value-of select="displayItemList/displayItem[@name='name']"/>
       </a>
     </xsl:for-each>
@@ -383,5 +383,5 @@
   <xsl:template name="aboutCollectionPageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-    <xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/>
+    <xsl:value-of select="/page/pageResponse/collection/displayItemList/displayItem[@name='name']"/>
     <xsl:text> </xsl:text>
   </xsl:template>
@@ -390,9 +390,9 @@
     <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
       <xsl:choose>
-        <xsl:when test="$this-element/displayItem[@name='icon']">
+        <xsl:when test="$this-element/displayItemList/displayItem[@name='icon']">
           <img border="0">
-            <xsl:attribute name="src"><xsl:value-of select="$this-element/metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="$this-element/displayItem[@name='icon']"/></xsl:attribute>
+            <xsl:attribute name="src"><xsl:value-of select="$this-element/metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="$this-element/displayItemList/displayItem[@name='icon']"/></xsl:attribute>
             <xsl:attribute name="alt">
-              <xsl:value-of select="$this-element/displayItem[@name='name']"/>
+              <xsl:value-of select="$this-element/displayItemList/displayItem[@name='name']"/>
             </xsl:attribute>
             <xsl:attribute name="title">
@@ -402,5 +402,5 @@
         </xsl:when>
         <xsl:otherwise>
-          <xsl:value-of select="$this-element/displayItem[@name='name']"/>
+          <xsl:value-of select="$this-element/displayItemList/displayItem[@name='name']"/>
         </xsl:otherwise>
       </xsl:choose>
@@ -501,5 +501,5 @@
   </xsl:template>
   <xsl:template match="collection|serviceCluster">
-    <xsl:value-of select="displayItem[@name='description']" disable-output-escaping="yes"/>
+    <xsl:value-of select="displayItemList/displayItem[@name='description']" disable-output-escaping="yes"/>
 <!-- Uncomment this section if you want the collection service links and their descriptions to appear -->
 	<!--<xsl:apply-templates select="serviceList">