Index: /main/trunk/gli/classes/dictionary_fr.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_fr.properties	(revision 30846)
+++ /main/trunk/gli/classes/dictionary_fr.properties	(revision 30847)
@@ -133,5 +133,5 @@
 CDM.FormatManager.MessageBox:Validation XML
 CDM.FormatManager.MessageBox_Tooltip:Message de validation du modÃšle XML
-CDM.General.Access:Cette colection doit Ãªtre d'accÃšs publique.
+CDM.General.Access:Cette collection doit Ãªtre d'accÃšs publique.
 CDM.General.Browser_Title:SÃ©lectionnez une image
 CDM.General.Collection_Extra:Description de la collection :
@@ -338,5 +338,5 @@
 CollectionManager.Loading_Successful:Collection chargÃ©e {0}.
 CollectionManager.Missing_Config:Cette collection n'a pas de fichier de collect.cfg valide
-CollectionManager.Not_Col_File:{0}' n'est pas un fichier de la colection Librarian Interface (.col)
+CollectionManager.Not_Col_File:{0}' n'est pas un fichier de la collection Librarian Interface (.col)
 CollectionManager.No_Config_File:Le fichier collect.cfg n'a pas Ã©tÃ© crÃ©Ã© par mkcol.pl.
 CollectionManager.Preview_Ready_Failed:Une erreur est survenue et va empÃªcher la prÃ©visualisation de la collection.
@@ -938,4 +938,10 @@
 OpenCollectionDialog.Open_Tooltip:Charger la collection sÃ©lectionnÃ©e dans l'Interface BibliothÃ©caire
 OpenCollectionDialog.Title:Ouvrir la collection Greenstone
+#**********************
+#
+#***** FormatConversionDialog *****
+
+#***** ConfigFileEditor *****
+
 #**********************
 #
@@ -1043,5 +1049,4 @@
 Server.QuitManual:L'Interface BibliothÃšcaire n'a pas Ã©tÃ© en mesure de fermer automatiquemet\nle serveur de bibliothÃšque locale. Veuillez arrÃªter le serveur\nmanuellemnt en cliquant sur l'icÃŽne portant la croix situÃ©e en haut\Ã  droite, puis cliquez sur OK de la boÃ®te dialogue.
 Server.QuitTimeOut:La bibliothÃšque Greenstone locale n'a pas rÃ©pondu Ã  la\ncommande de fermeture automatique pendant {0} secondes. Voulez vous\n attendre encore {0} secondes?
-
 Server.StartUpTimeOut:La bibliothÃšque Greenstone locale n'a pas rÃ©pondu Ã  la\ncommande de dÃ©marrage pendant {0} secondes. Voulez vous\nattendre encore {0} secondes ?
 Server.Reconfigure:Vous venez de modifier collecthome. Comme la GLI nâa pu dÃ©marrer votre serveur Web, celui-ci ne peut Ãªtre reconfigurÃ© automatiquement. PriÃšre de reconfigurer votre serveur manuellement pour pouvoir travailler suivant les modifications apportÃ©es Ã  collecthome.
@@ -1072,5 +1077,4 @@
 Workflow.LocalSourceCollectionBuilding:Construction d'un collection locale.
 Workflow.DocumentEnriching:Enrichissement du document.
-
 
 #********GEMS******
@@ -1138,4 +1142,3 @@
 GEMS.NewMetadataElementNamePrompt.EmptyName_Error_Message:Un nouvel Ã©lÃ©ment doit avoir un nom.
 
-
 GEMS.No_Set_Loaded:"Aucun jeu de mÃ©tadonnÃ©es n'est chargÃ©. Veuillez utiliser Fichier -> Nouveau pour crÃ©er un nouveau jeu, ou Fichier -> Ouvrir pour ouvrir un jeu existant."
Index: /main/trunk/gli/help/fr/help.xml
===================================================================
--- /main/trunk/gli/help/fr/help.xml	(revision 30846)
+++ /main/trunk/gli/help/fr/help.xml	(revision 30847)
@@ -5,5 +5,4 @@
      <!ENTITY mdash "&#8212;">
 ]>
-<!-- French translations of the GLI Help. Many thanks to Georges Braoudakis, John Rose and CÃ©line Guimbertaud. Updated by John Rose, Guillaume Hatt and Yvan Arnaud in May 2009. -->
 <Document>
 <Section name="introduction">
@@ -243,5 +242,5 @@
 </Title>
 <Text id="105">Cette section explique comment importer des mÃ©tadonnÃ©es attribuÃ©es prÃ©cÃ©demment (c'est-Ã -dire des mÃ©tadonnÃ©es attribuÃ©es avant d'ajouter des documents Ã  la collection). </Text>
-<Text id="106">Si la mÃ©tadonnÃ©e prÃ©alablement attribuÃ©e Ã  un fichier est dans un format reconnu par l'Interface BibliothÃ©caire -- par exemple, quand on choisit des documents dans une collection Greenstone existante -- elle est importÃ©e automatiquement quand on ajoute le fichier. Pour ce faire, la mÃ©tadonnÃ©e doit Ãªtre ajustÃ©e aux jeux de mÃ©tadonnÃ©es disponibles dans la collection.</Text>
+<Text id="106">Si la mÃ©tadonnÃ©e prÃ©alablement attribuÃ©e Ã  un fichier est dans un format reconnu par l'Interface BibliothÃ©caire (c-Ã -d dans un fichier metadata.xml dans le mÃªme dossier que le document) -- par exemple, quand on choisit des documents dans une collection Greenstone existante -- elle est importÃ©e automatiquement quand on ajoute le document dans une (nouvelle) collection. Greenstone reconnaÃ®tra le fichier metadata.xml (qui n'a pas besoin d'Ãªtre ajoutÃ© Ã  la collection) et importera automatiquement les mÃ©tadonnÃ©es.</Text>
 <Text id="107">L'Interface BibliothÃ©caire invite Ã  fournir les informations nÃ©cessaires. L'invite donne de brÃšves instructions puis affiche le nom de l'Ã©lÃ©ment de mÃ©tadonnÃ©es en cours d'importation tel quâil apparaÃ®t dans le fichier source. Ce champ ne peut Ãªtre ni modifiÃ© ni remplacÃ©. Puis on choisit le jeu de mÃ©tadonnÃ©es sur lequel le nouveau Ã©lÃ©ment doit Ãªtre calquÃ© et enfin l'Ã©lÃ©ment de mÃ©tadonnÃ©es appropriÃ©. Le sytÃšme propose automatiquement le meilleur ajustement, en terme de jeu et d'Ã©lÃ©ment pour la nouvelle mÃ©tadonnÃ©e.</Text>
 <Text id="108">AprÃšs cela, on peut choisir Â«AjouterÂ» pour ajouter le nouvel Ã©lÃ©ment de mÃ©ta-donnÃ©es au jeu de mÃ©tadonnÃ©es choisi. (Ceci n'est possible que si aucun Ã©lement de mÃªme nom n'est prÃ©sent Ã  l'interieur du jeu choisi.) Â«FusionnerÂ» applique le nouvel Ã©lement Ã  celui choisi par l'utilisateur. Enfin, Â«IgnorerÂ» n'importe aucune mÃ©ta-donnÃ©e avec ce nom d'Ã©lement. Une fois prÃ©cisÃ©e la maniÃšre d'importer un certain Ã©lÃ©ment de mÃ©tadonnÃ©es, cette information est retenue pour la durÃ©e de vie de la collection.</Text>
Index: /main/trunk/greenstone2/macros/french.dm
===================================================================
--- /main/trunk/greenstone2/macros/french.dm	(revision 30846)
+++ /main/trunk/greenstone2/macros/french.dm	(revision 30847)
@@ -8,10 +8,8 @@
 ######################################################################
 
-
 ######################################################################
 # Global (base) package
 package Global
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -62,5 +60,4 @@
 _textdescrgreenstone_ [l=fr] {Logiciel de BibliothÃšque NumÃ©rique Greenstone}
 _textdescrusab_ [l=fr] {Qu'avez vous trouvÃ© difficile Ã  utiliser?}
-
 
 # Metadata names and navigation bar labels
@@ -197,8 +194,8 @@
 _linktextHELP_ [l=fr] {AIDE}
 _linktextPREFERENCES_ [l=fr] {PRÃFÃRENCES}
+_linktextDEPOSIT_ [l=fr] {DÃPÃT}
 _linktextLOGIN_ [l=fr] {LOGIN}
 _linktextLOGGEDIN_ [l=fr] {(connectÃ© comme _cgiargunHtmlsafe_)}
 _linktextLOGOUT_ [l=fr] {DECONNEXION}
-
 
 ######################################################################
@@ -253,10 +250,8 @@
 _textdescrtranslator_ [l=fr] {Vous aide Ã  mettre Ã  jour les versions multilingues de Greenstone}
 
-
 ######################################################################
 # 'about' page
 package about
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -275,10 +270,8 @@
 _titleabout_ [l=fr] {Ã propos}
 
-
 ######################################################################
 # document package
 package document
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -355,5 +348,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -402,7 +394,4 @@
 _textwordphrase_ [l=fr] {Mots}
 _textinfield_ [l=fr] {... dans le champ}
-_textfieldphrase_ [l=fr] {Champ}
-_textinwords_ [l=fr] {...en mot(s)
-}
 _textformcasefold_ [l=fr] {ignorer la casse}
 _textformaccentfold_ [l=fr] {ignorer les accents}
@@ -471,10 +460,8 @@
 _texthstemoff_ [l=fr] {les mots en entier}
 
-
 ######################################################################
 # 'preferences' page
 package preferences
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -573,5 +560,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -616,5 +602,4 @@
 _texthelphighlight_ [l=fr] {Mettre en Ã©vidence les mots recherchÃ©s, ou pas}
 _texthelpsectionarrows_ [l=fr] {Aller a la section suivante/prÃ©cÃ©dente}
-
 
 _texthelpsearchingtitle_ [l=fr] {Comment faire une requÃªte pour certains mots en particulier}
@@ -836,5 +821,5 @@
 _textaccentfoldprefs_ [l=fr] {Une paire de boutons gÃšre la fonction de prise en compte des accents lors de la recherche. Par exemple, si  "_preferences:textignoreaccents_" est sÃ©lÃ©ctionnÃ©, 	
 <i>fÃ©dÃ©ration</ i>sera traitÃ© de la mÃªme faÃ§on que <i> fedÃ©ration </ i> et <i> federation</ I>. }
- 
+
 _textstemoptionsprefs_ [l=fr] {Il peut Ãªtre plus pratique et plus prÃ©cis d'utiliser la fonction de recherche par troncature de termes dÃ©crite ci-dessus dans "_texthelpquerytermstitle_".}
 
@@ -848,6 +833,4 @@
  <li>La recherche par champ propose un certain nombre de boÃ®tes de recherche, chacune interrogeant un champ diffÃ©rent de l'index. Cela permet la recherche de diffÃ©rents champs Ã  la fois. _textsearchtypeprefsform_ </ li>
  </ul>}
-
-
 
 _texttanumbrowseoptions_ [l=fr] {Il y a _numbrowseoptions_ faÃ§ons de
Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties	(revision 30846)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties	(revision 30847)
@@ -2,65 +2,89 @@
 
 ## Service Names
-TextQuery.submit=Recherche
+TextQuery.name:Recherche de termes spÃ©cifiques
+TextQuery.description:Service de recherche de texte intÃ©gral et/ou de mÃ©tadonnÃ©es
+TextQuery.submit:Recherche
 
-FieldQuery.submit=Recherche
+FieldQuery.name:Recherche par formulaire
+FieldQuery.description:Recherche par champ simple
+FieldQuery.submit:Recherche
 
-AdvancedFieldQuery.submit=Recherche
+AdvancedFieldQuery.name:Recherche avancÃ©e
+AdvancedFieldQuery.description:Recherche avancÃ©e
+AdvancedFieldQuery.submit:Recherche
 
+RawQuery.name:Recherche brute
+RawQuery.description:Recherche par champ brute
+RawQuery.submit:recherche brute
 
-ClassifierBrowse.name=Parcourir
+ClassifierBrowse.name:Parcourir
+ClassifierBrowse.description:Parcourir les classifications hiÃ©rarchiques prÃ©dÃ©finies
+ClassifierBrowse.classifier_help:Parcourir par {0}
 
-
+PhindApplet.name:Parcourir par phrase
+PhindApplet.description:Parcourir les hiÃ©rarchies de phrases extraites
 
 # search parameters
 
-param.boolean.on=actif
-param.boolean.off=inactif
-param.matchMode.all=tous les
-param.matchMode.some=quelques-uns des
+param.boolean.on:actif
+param.boolean.off:inactif
+param.matchMode.all:tous les
+param.matchMode.some:quelques-uns des
 
-param.sortOrder.0=croissant
-param.sortOrder.1=dÃ©croissant
-param.reverseSort.0=inactif
-param.reverseSort.1=actif
-param.fqs=racine
+param.sortOrder.0:croissant
+param.sortOrder.1:dÃ©croissant
+param.reverseSort.0:inactif
+param.reverseSort.1:actif
+param.fqs:racine
+param.fqk:
 
 #levels 
-level.document=Document
-level.Doc=Document
-level.section=Section
-level.Sec=Section
-level.paragraph=Paragraphe
-level.Para=Paragraphe
+level.document:Document
+level.Doc:Document
+level.section:Section
+level.Sec:Section
+level.paragraph:Paragraphe
+level.Para:Paragraphe
+level.book:livre
+level.books:livres
 level.chapter:chapitre
 level.chapters:chapitres
 
 ## Authentication
-Authentication.name=Page d'Administration
+Authentication.name:Page d'Administration
+Authentication.description:Vous permet de gÃ©rer les utilisateurs
 
 ## Authentication services
-ListUsers.description=Liste des utilisateurs
+ListUsers.name:Nom d'utilisateur
+ListUsers.submit:envoyer
+ListUsers.description:Liste des utilisateurs
 
+AddUser.name:Nom d'utilisateur
+AddUser.submit:valider
+AddUser.description:ajouter un utilisateur
 
 ## Authentication params
-param.un=nom d'utilisateur
-param.pw=mot de passe
-param.com=Commentaires
-param.boolean.enabled=activÃ©
-param.boolean.disabled=dÃ©sactivÃ©
-param.as=Ãtat du compte
-param.gp=Groupes
-param.npw=Nouveau mot de passe
-param.rnpw=Veuillez retaper le nouveau mot de passe
-
-
+param.un:nom d'utilisateur
+param.pw:mot de passe
+param.com:Commentaires
+param.boolean.enabled:activÃ©
+param.boolean.disabled:dÃ©sactivÃ©
+param.as:Ãtat du compte
+param.gp:Groupes
+param.npw:Nouveau mot de passe
+param.rnpw:Veuillez retaper le nouveau mot de passe
 
 ## CrossCollectionSearch specific strings
-CrossCollectionSearch.TextQuery.submit=Recherche
-
+CrossCollectionSearch.TextQuery.name:Recherche multi-collection
+CrossCollectionSearch.TextQuery.description:Rechercher parmi plusieurs collections
+CrossCollectionSearch.TextQuery.submit:Recherche
+CrossCollectionSearch.param.query:ChaÃ®ne de requÃªte
+CrossCollectionSearch.param.collection:Collections dans lesquelles rechercher
+CrossCollectionSearch.param.collection.all:Toutes les collections
+CrossCollectionSearch.param.maxDocs:Nombre maximum de documents par collection
 
 ## LuceneSearch specific strings
-LuceneSearch.TextQuery.name=Recherche
-LuceneSearch.TextQuery.submit=Recherche
-
-
+LuceneSearch.TextQuery.name:Recherche
+LuceneSearch.TextQuery.description:Un service de recherche XML simple
+LuceneSearch.TextQuery.submit:Recherche
+LuceneSearch.param.query:Entrer votre chaÃ®ne de requÃªte
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 30846)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 30847)
@@ -2,11 +2,12 @@
 
 #***** TEXT FRAGMENTS *****
-gsdl=Logiciel de BibliothÃšque NumÃ©rique Greenstone
+gsdl:Logiciel de BibliothÃšque NumÃ©rique Greenstone
 # the buttons
-help_b=Aide
-pref_b=PrÃ©fÃ©rences
+help_b:Aide
+pref_b:PrÃ©fÃ©rences
 # tool tips for the buttons
-aboutpage=Page Ã  propos
-home.librarian_interface=l'Interface BibliothÃ©caire
+aboutpage:Page Ã  propos
+home.librarian_interface:l'Interface BibliothÃ©caire
+#***** logged in menu
 
 ######################
@@ -20,45 +21,44 @@
 # query page
 ########################
-query=Recherche
+query:Recherche
 
-query.document_plural=documents
+query.document_plural:documents
 
 # eg Displaying 1 to 20 of 42 sections/documents
-
 
 ##################
 # prefs page
 ##################
-pref.searchpref=PrÃ©fÃ©rences de recherche
-pref.prespref=PrÃ©fÃ©rences de prÃ©sentation
-pref.interfacelang=Langue de l'interface: 
-pref.encoding=Encodage: 
-pref.all=tous les
-pref.berrybasket.on=actif
-pref.berrybasket.off=inactif
-pref.formatedit.on=actif
-pref.formatedit.off=inactif
-
+pref.searchpref:PrÃ©fÃ©rences de recherche
+pref.prespref:PrÃ©fÃ©rences de prÃ©sentation
+pref.interfacelang:Langue de l'interface:
+pref.encoding:Encodage:
+pref.all:tous les
 ##################
 # document page
 ##################
+doc.document:Document
 
+external.title:Lien externe
 
-
-doc.document=Document
-
-
-external.title=Lien externe
-
+#####################
+#  Document Editing #
+#####################
 
 ##################
 # authentication page
 ##################
-authen.enabled=activÃ©
-authen.disabled=dÃ©sactivÃ©
-authen.list_of_current_users_title=Liste des utilisateurs actifs
-authen.authentication=Page d'Administration
+authen.enabled:activÃ©
+authen.disabled:dÃ©sactivÃ©
+authen.list_of_current_users_title:Liste des utilisateurs actifs
+authen.authentication:Page d'Administration
 
+##################
+# RSS page  #
+###################
 
+##############
+# Basket common strings
+####################
 
 ###################
@@ -66,3 +66,6 @@
 ###################
 
+#####################
+#  Berry Baskets    #
+#####################
 