Index: /main/trunk/greenstone2/macros/slovak2.dm
===================================================================
--- /main/trunk/greenstone2/macros/slovak2.dm	(revision 30847)
+++ /main/trunk/greenstone2/macros/slovak2.dm	(revision 30848)
@@ -5,5 +5,4 @@
 # -- this file contains text that is of less importance
 ######################################################################
-
 
 ######################################################################
@@ -31,5 +30,4 @@
 <br>nech si v teplej letnej hmle 
 <br>nech oceÃ¡n tvojich ciest cestuje tak ÄŸahko ako vyleÅ¡tenÃœ greenstone.
-
 
 }
@@ -62,7 +60,5 @@
 Tento projekt v spoluprÃ¡ci s agentÃºrami UN a NGO si vÄaka digitalizÃ¡cii a sprÃ­stupÅovaniu digitÃ¡lnych dokumentov v krajinÃ¡ch tretieho sveta zÃ­skal svetovÃ© uznanie.}
 
-
 _textdescrselcol_ [l=sk] {vyber zbierku}
-
 
 ######################################################################
@@ -71,5 +67,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -89,5 +84,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -104,7 +98,5 @@
 _foundintcontent_ [l=sk] {<h3>Odkaz na zbierku "_2_"</h3>
 
-<p>ZvolenÃœ odkaz pre zbierku "_collectionname_" je externÃœ (spÃ¡ja zbierky "_2_"). Ak   
-chcete zobraziÅ¥ tento odkaz v zbierke "_2_" mÃŽÅŸete Ã­sÅ¥ <a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_">dopredu</a>na tÃºto strÃ¡nku. Pre nÃ¡vrat k predchÃ¡dzajÃºcemu dokumentu pouÅŸite tlaÄidlo "spÃ€Å¥" vo vaÅ¡om prehliadaÄi.}
-
+<p>ZvolenÃœ odkaz pre zbierku "_collectionname_" je externÃœ (smeruje do zbierky "_2_"). Ak chcete zobraziÅ¥ tento odkaz v zbierke "_2_" mÃŽÅŸete kliknÃºÅ¥<a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_">dopredu</a>na tÃºto strÃ¡nku. Pre nÃ¡vrat k predchÃ¡dzajÃºcemu dokumentu pouÅŸite tlaÄidlo "spÃ€Å¥" vo vaÅ¡om prehliadaÄi.}
 
 ######################################################################
@@ -113,5 +105,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -136,10 +127,8 @@
 _textmessagestalekey_ [l=sk] {NeplatnÃ¡ adresa ! ProsÃ­m zadajte svoje heslo pre vstup na tieto strÃ¡nky.}
 
-
 ######################################################################
 # 'docs' page 
 package docs
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -191,5 +180,4 @@
 _textfailmsg71_ [l=sk] {PoÄas pokusu vybudovaÅ¥ zbierku nastala neoÄakÃ¡vanÃ¡ chyba.}
 
-
 _textblcont_ [l=sk] {SprÃ¡va o vybudovanÃ­ obsahuje tieto informÃ¡cie:}
 
@@ -198,6 +186,4 @@
 package collector
 ######################################################################
-
-
 
 #------------------------------------------------------------
@@ -294,7 +280,5 @@
 _textreset_ [l=sk] {Reset }
 
-
 _texttryagain_ [l=sk] {ProsÃ­m <a href="_httppagecollector_" target=_top>reÅ¡tartujte ZberateÄŸa</a> a skÃºste znova. }
-
 
 _textretcoll_ [l=sk] {SpÃ€Å¥ }
@@ -329,5 +313,4 @@
 package depositor
 ######################################################################
-
 
 _textdepositorblurb_ [l=sk] {<p>Dopl&#328;te nasleduj&#250;ce inform&#225;cie a kliknite na _textintro_.</p>}
@@ -349,9 +332,7 @@
 _textretcoll_ [l=sk] {NÃ¡vrat do Depozitu}
 
-
 _texttmpfail_ [l=sk] {Depozit nedokÃ¡zal zapÃ­saÅ¥, alebo preÄÃ­taÅ¥ sÃºbor/prieÄinok Temp. Pravdepodobne Greenstone nemÃŽÅŸe :<ul>
 <li>zapisovaÅ¥/ÄÃ­taÅ¥ prieÄinok _gsdlhome_/tmp.</ul>}
 
-
 ######################################################################
 # 'gsdl' page
@@ -359,9 +340,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textgreenstone1_ [l=sk] {Greenstone je softvÃ©r prostrednÃ­ctvom, ktorÃ©ho je moÅŸnÃ© vytvÃ¡raÅ¥ a spravovaÅ¥ digitÃ¡lne zbierky. PrinÃ¡Å¡a novÃœ spÃŽsob organizovania a sprÃ­stupÅovania informÃ¡ciÃ­ na internete, alebo CD-ROM. Greenstone je produktom New Zeland Digital Library Project, Univerzity Waikato, distribuovanÃœ v spoluprÃ¡ci s UNESCO  a Human info NGO. Je to voÄŸne dostupnÃœ softvÃ©r pod podmienkami GNU General Public Licence. <i>http://greenstone.org</i>}
@@ -409,5 +388,4 @@
 package userslistusers
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -424,5 +402,4 @@
 _textdeleteuser_ [l=sk] {vymazaÅ¥}
 
-
 ######################################################################
 # 'users' page
@@ -430,9 +407,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textedituser_ [l=sk] {ZmeniÅ¥ pouÅŸÃ­vateÄŸskÃ© nastavenia}
@@ -450,5 +425,4 @@
 _textavailablegroups_ [l=sk] {PredefinovanÃ© skupiny zahÅÅajÃº administrÃ¡tora spolu s ÄalÅ¡Ã­mi skupinami, ktorÃ© sÃº potrebnÃ© k vzdialenÃ©mu budovaniu zbierok prostrednÃ­ctvom KnihovnÃ­ckeho rozhrania Deposita:<ul><li><b>administrÃ¡tor</b>: Deleguje prÃ¡va k prÃ­stupu a zmene konfigurÃ¡cie systÃ©mu a pouÅŸÃ­vateÄŸskÃœch ÃºÄtov.<li><b>personal-collections-editor</b>: Deleguje prÃ¡va k vytvoreniu novÃœch osobnÃœch zbierok konktrÃ©tneho pouÅŸÃ­vateÄŸa.<li><b><collection-name>-collection-editor</b>: Deleguje prÃ¡va k vytvoreniu a editovaniu konkretnej zbierky "nazovzbrieky-meno".                                                                                               <li><b>all-collections-editor</b>: Deleguje prÃ¡va k vytvoreniu a editovaniu <b>vÅ¡etkÃœch</b> zbierok a udeÄŸuje prÃ­stup k pouÅŸÃ­vaniu ZberateÄŸa.</ul> }
 
-
 ######################################################################
 # 'users' page
@@ -456,5 +430,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -464,10 +437,8 @@
 _textremwarn_ [l=sk] {Ste si istÃœ, ÅŸe chcete zmazaÅ¥ pouÅŸÃ­vateÄŸa <b>_cgiargumunHtmlsafe_</b>?}
 
-
 ######################################################################
 # 'users' page
 package userschangepasswd
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -480,5 +451,4 @@
 _textretype_ [l=sk] {napÃ­Å¡te eÅ¡te raz novÃ© heslo}
 
-
 ######################################################################
 # 'users' page
@@ -486,5 +456,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -492,5 +461,4 @@
 
 _textsuccess_ [l=sk] {VaÅ¡e heslo bolo ÃºspeÅ¡ne zmenenÃ©.}
-
 
 ######################################################################
@@ -498,5 +466,4 @@
 package users
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -516,5 +483,4 @@
 _textfailed_ [l=sk] {NesprÃ¡vne pouÅŸÃ­vateÄŸskÃ© heslo, alebo meno.}
 
-
 ######################################################################
 # 'status' pages
@@ -522,9 +488,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textversion_ [l=sk] {Verzia Greenstone}
@@ -566,10 +530,8 @@
 _textmus_ [l=sk] {aktualizÃ¡cia main.cfg prebehla ÃºspeÅ¡ne}
 
-
 ######################################################################
 # 'bsummary' pages
 package bsummary
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -615,5 +577,5 @@
 _textcharacterise_ [l=sk] {O akÃœ problÃ©m ide}
 _textseverity_ [l=sk] {Ako vÃ¡ÅŸny je problÃ©m}
- 
+
 _textbadrender_ [l=sk] {StrÃ¡nka nevyzerÃ¡ dobre}
 _textcontenterror_ [l=sk] {Chyba obsahu}
@@ -637,5 +599,4 @@
 _textusabbanner_ [l=sk] {Greenstone koru-style banner}
 
-
 ######################################################################
 # GTI text strings
@@ -643,9 +604,8 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-	
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
 _textgtierror_ [l=sk] {Vyskytla sa chyba}
 
@@ -720,6 +680,4 @@
 _textgtiofflinetranslation_ [l=sk] {TÃºto ÄasÅ¥ Greenstone mÃŽÅŸete preloÅŸiÅ¥ prostrednÃ­ctvom Excel sÃºboru: <ol><li>StiahnuÅ¥ <a href="_gwcgi_?a=gti&p=excel&tct=work&e=_compressedoptions_">sÃºbor nepreloÅŸenÃœch prekladov</a>, alebo <a href="_gwcgi_?a=gti&p=excel&tct=all&e=_compressedoptions_">kompletnÃœ preklad</a>. StiahnutÃœ sÃºbor otvorte Microsoft Excel (Office 2003/XP, alebo novÅ¡Ã­m) a uloÅŸte ako Microsoft Excel (.xls). <li>Preklad vloÅŸte do zodpovedajÃºcich polÃ­. <li>Po skonÄenÃ­ prekladu zaÅ¡lite .xls sÃºbor na <a href="mailto:_gtiadministratoremail_">_gtiadministratoremail_</a>.</ol>}
 
-
-
 ############
 # gli page